/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package com.modeliosoft.modelio.xmi.generation;

import com.modeliosoft.modelio.javadesigner.annotations.objid;
import com.modeliosoft.modelio.xmi.model.objing.profile.PExportAttribut;
import com.modeliosoft.modelio.xmi.model.objing.profile.PExportGeneralization;
import com.modeliosoft.modelio.xmi.model.objing.profile.PExportProfile;
import com.modeliosoft.modelio.xmi.model.objing.profile.PExportStereotype;

@objid ("03e0e9be-4583-11e0-b54c-00137279a832")
public interface IProfileExportVisitor {

    @objid ("03e0e9bf-4583-11e0-b54c-00137279a832")
    void visit(PExportProfile profile);

    @objid ("03e0e9c1-4583-11e0-b54c-00137279a832")
    void visit(PExportStereotype stereotype);

    @objid ("03e0e9c3-4583-11e0-b54c-00137279a832")
    void visit(PExportAttribut attribut);

    @objid ("03e0e9c5-4583-11e0-b54c-00137279a832")
    void visit(PExportGeneralization generalization);

}
