/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package com.modeliosoft.modelio.xmi.model.ecore;

import java.util.List;
import com.modeliosoft.modelio.api.model.uml.infrastructure.IDependency;
import com.modeliosoft.modelio.api.model.uml.infrastructure.IElement;
import com.modeliosoft.modelio.api.modelio.Modelio;
import com.modeliosoft.modelio.api.utils.StereotypeNotFoundException;
import com.modeliosoft.modelio.javadesigner.annotations.objid;
import com.modeliosoft.modelio.xmi.plugin.XMIStereotypes;
import org.eclipse.uml2.uml.Deployment;

@objid ("08a0d90c-4583-11e0-b54c-00137279a832")
public class EDeployment extends ENamedElement implements IEElement {

    @objid ("08a0d90e-4583-11e0-b54c-00137279a832")
    public IElement createObjingElt() {
        IDependency result = Modelio.getInstance().getModelingSession().getModel().createDependency();
        try{
            result.addExtension(Modelio.getInstance().getModelingSession().getMetamodelExtensions().getStereotype(
                    IDependency.class, XMIStereotypes.UML2DEPLOYMENT));
        }catch(StereotypeNotFoundException e){
            e.printStackTrace(Modelio.err);
        }
        return null;
    }

    @objid ("08a0d912-4583-11e0-b54c-00137279a832")
    public EDeployment(Deployment element) {
        super(element);
    }

    @objid ("08a33b6a-4583-11e0-b54c-00137279a832")
    public void attach(IElement objingElt) {
        // TODO Auto-generated method stub
    }

    @objid ("08a33b6d-4583-11e0-b54c-00137279a832")
    public void attach(List<Object> objingElt) {
    }

    @objid ("08a33b72-4583-11e0-b54c-00137279a832")
    public void setProperties(IElement objingElt) {
        super.setProperties(objingElt);
    }

    @objid ("08a59dc0-4583-11e0-b54c-00137279a832")
    public EDeployment() {
    }

}
