/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package com.modeliosoft.modelio.xmi.model.ecore;

import java.util.List;
import com.modeliosoft.modelio.api.model.uml.infrastructure.IElement;
import com.modeliosoft.modelio.api.model.uml.statik.INode;
import com.modeliosoft.modelio.api.modelio.Modelio;
import com.modeliosoft.modelio.api.utils.StereotypeNotFoundException;
import com.modeliosoft.modelio.javadesigner.annotations.objid;
import com.modeliosoft.modelio.xmi.plugin.XMIStereotypes;
import org.eclipse.uml2.uml.ExecutionEnvironment;

@objid ("09029977-4583-11e0-b54c-00137279a832")
public class EExecutionEnvironment extends ENamedElement implements IEElement {

    @objid ("09029978-4583-11e0-b54c-00137279a832")
    public IElement createObjingElt() {
        INode result =Modelio.getInstance().getModelingSession()
        .getModel().createNode();
        try{
            result.addExtension(Modelio.getInstance().getModelingSession().getMetamodelExtensions()
                    .getStereotype(INode.class, XMIStereotypes.UML2EXECUTIONENVIRONMENT));
        }catch(StereotypeNotFoundException e){
            e.printStackTrace(Modelio.err);
        }
        return result;
    }

    @objid ("0902997c-4583-11e0-b54c-00137279a832")
    public EExecutionEnvironment(ExecutionEnvironment element) {
        super(element);
    }

    @objid ("0904fbd4-4583-11e0-b54c-00137279a832")
    public void attach(IElement objingElt) {
        // TODO Auto-generated method stub
    }

    @objid ("0904fbd7-4583-11e0-b54c-00137279a832")
    public void attach(List<Object> objingElt) {
    }

    @objid ("0904fbdc-4583-11e0-b54c-00137279a832")
    public void setProperties(IElement objingElt) {
        super.setProperties(objingElt);
    }

    @objid ("09075e28-4583-11e0-b54c-00137279a832")
    public EExecutionEnvironment() {
    }

}
