/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package com.modeliosoft.modelio.xmi.model.objing;

import com.modeliosoft.modelio.api.model.uml.infrastructure.IElementRealization;
import com.modeliosoft.modelio.javadesigner.annotations.objid;
import com.modeliosoft.modelio.xmi.util.CompositionOwnerVisitor;
import org.eclipse.uml2.uml.Element;
import org.eclipse.uml2.uml.Realization;
import org.eclipse.uml2.uml.UMLFactory;

@objid ("0ec406b8-4583-11e0-b54c-00137279a832")
public class OElementRealization extends OElement implements IOElement {
    @objid ("0ec406b9-4583-11e0-b54c-00137279a832")
     IElementRealization objingElement;


    @objid ("0ec406ba-4583-11e0-b54c-00137279a832")
    public Element createEcoreElt() {
        Realization ecoreReal = UMLFactory.eINSTANCE.createRealization();
        return ecoreReal;
    }

    @objid ("0ec406be-4583-11e0-b54c-00137279a832")
    public OElementRealization() {
    }

    @objid ("0ec406c0-4583-11e0-b54c-00137279a832")
    public OElementRealization(IElementRealization element) {
        super(element);
        objingElement = element;
    }

    @objid ("0ec66919-4583-11e0-b54c-00137279a832")
    public void attach(Element ecoreElt, CompositionOwnerVisitor ownerVisitor) {
        // Done on Abstraction and Dependency when calling the super() in the
        // visitor.
    }

    @objid ("0ec6691d-4583-11e0-b54c-00137279a832")
    public void setProperties(Element ecoreElt) {
        // Done on Abstraction and Dependency when calling the super() in the
        // visitor.
    }

}
