/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package com.modeliosoft.modelio.xmi.plugin;

import com.modeliosoft.modelio.javadesigner.annotations.objid;

@objid ("11a4bd64-4583-11e0-b54c-00137279a832")
public interface XMIStereotypes {
    @objid ("6bc6a29c-1a76-11e1-8103-0027103f347d")
    public static final String UML2ABSTRACTION = "UML2Abstraction";

    @objid ("6bc717d2-1a76-11e1-8103-0027103f347d")
    public static final String UML2ACTIONINPUTPIN = "UML2ActionInputPin";

    @objid ("6bc7b41a-1a76-11e1-8103-0027103f347d")
    public static final String UML2ADDSTRUCTURALFEATUREVALUEACTION = "UML2AddStructuralFeatureValueAction";

    @objid ("6bc82950-1a76-11e1-8103-0027103f347d")
    public static final String UML2ADDVARIABLEVALUEACTION = "UML2AddVariableValueAction";

    @objid ("6bc87774-1a76-11e1-8103-0027103f347d")
    public static final String UML2ASSOCIATIONREFERENCE = "UML2AssociationReference";

    @objid ("6bc8c598-1a76-11e1-8103-0027103f347d")
    public static final String UML2BROADCASTSIGNALACTION = "UML2BroadcastSignalAction";

    @objid ("6bc93ace-1a76-11e1-8103-0027103f347d")
    public static final String UML2CLASSIFIERTEMPLATEPARAMETER = "UML2ClassifierTemplateParameter";

    @objid ("6bc988f2-1a76-11e1-8103-0027103f347d")
    public static final String UML2CLASSIFIERREFERENCE = "UML2ClassifierReference";

    @objid ("6bc9d716-1a76-11e1-8103-0027103f347d")
    public static final String UML2CLEARASSOCIATIONACTION = "UML2ClearAssociationAction";

    @objid ("6bca4c4c-1a76-11e1-8103-0027103f347d")
    public static final String UML2CLEARSTRUCTURALFEATUREACTION = "UML2ClearStructuralFeatureAction";

    @objid ("6bca9a70-1a76-11e1-8103-0027103f347d")
    public static final String UML2CLEARVARIABLEACTION = "UML2ClearVariableAction";

    @objid ("6bcae894-1a76-11e1-8103-0027103f347d")
    public static final String UML2COMMUNICATIONPATH = "UML2CommunicationPath";

    @objid ("6bcb36b8-1a76-11e1-8103-0027103f347d")
    public static final String UML2COMPONENTREALIZATION = "UML2ComponentRealization";

    @objid ("6bcb84dc-1a76-11e1-8103-0027103f347d")
    public static final String UML2CONNECTABLEELEMENTTEMPLATEPARAMETER = "UML2ConnectableElementTemplateParameter";

    @objid ("6bcbd300-1a76-11e1-8103-0027103f347d")
    public static final String UML2CREATELINKACTION = "UML2CreateLinkAction";

    @objid ("6bcc4836-1a76-11e1-8103-0027103f347d")
    public static final String UML2CREATELINKOBJECTACTION = "UML2CreateLinkObjectAction";

    @objid ("6bcc965a-1a76-11e1-8103-0027103f347d")
    public static final String UML2CREATEOBJECTACTION = "UML2CreateObjectAction";

    @objid ("6bcce47e-1a76-11e1-8103-0027103f347d")
    public static final String UML2CREATIONEVENT = "UML2CreationEvent";

    @objid ("6bcd59b4-1a76-11e1-8103-0027103f347d")
    public static final String UML2DEPLOYMENT = "UML2Deployment";

    @objid ("6bcdf5fc-1a76-11e1-8103-0027103f347d")
    public static final String UML2DEPLOYMENTSPECIFICATION = "UML2DeploymentSpecification";

    @objid ("6bce6b32-1a76-11e1-8103-0027103f347d")
    public static final String UML2DESTROYLINKACTION = "UML2DestroyLinkAction";

    @objid ("6bcf077a-1a76-11e1-8103-0027103f347d")
    public static final String UML2DESTROYOBJECTACTION = "UML2DestroyObjectAction";

    @objid ("6bcf7cb0-1a76-11e1-8103-0027103f347d")
    public static final String UML2DESTRUCTIONEVENT = "UML2DestructionEvent";

    @objid ("6bcff1e6-1a76-11e1-8103-0027103f347d")
    public static final String UML2DEVICE = "UML2Device";

    @objid ("6bd0400a-1a76-11e1-8103-0027103f347d")
    public static final String UML2ENDCREATIONDATAREFERENCE = "UML2EndCreationDataReference";

    @objid ("6bd0b540-1a76-11e1-8103-0027103f347d")
    public static final String UML2ENDDATAREFERENCE = "UML2EndData_Reference";

    @objid ("6bd12a76-1a76-11e1-8103-0027103f347d")
    public static final String UML2ENDDESTRUCTIONDATAREFERENCE = "UML2EndDestructionDataReference";

    @objid ("6bd214e2-1a76-11e1-8103-0027103f347d")
    public static final String UML2EXCEPTIONHANDLER = "UML2ExceptionHandler";

    @objid ("6bd2b12a-1a76-11e1-8103-0027103f347d")
    public static final String UML2EXCEPTIONTYPEREFERENCE = "UML2ExceptionTypeReference";

    @objid ("6bd4fb38-1a76-11e1-8103-0027103f347d")
    public static final String UML2EXECUTIONENVIRONMENT = "UML2ExecutionEnvironment";

    @objid ("6bd5224a-1a76-11e1-8103-0027103f347d")
    public static final String UML2EXECUTIONEVENT = "UML2ExecutionEvent";

    @objid ("6bd5495c-1a76-11e1-8103-0027103f347d")
    public static final String UML2EXPANSIONNODE = "UML2ExpansionNode";

    @objid ("6bd5706e-1a76-11e1-8103-0027103f347d")
    public static final String UML2EXPANSIONREGION = "UML2ExpansionRegion";

    @objid ("6bd59780-1a76-11e1-8103-0027103f347d")
    public static final String UML2EXTENSION = "UML2Extension";

    @objid ("6bd5be92-1a76-11e1-8103-0027103f347d")
    public static final String UML2EXTENSIONEND = "UML2ExtensionEnd";

    @objid ("6bd5e5a4-1a76-11e1-8103-0027103f347d")
    public static final String UML2FIRST = "UML2First";

    @objid ("6bd60cb7-1a76-11e1-8103-0027103f347d")
    public static final String UML2GENERALIZATIONSET = "UML2GeneralizationSet";

    @objid ("6bd633c9-1a76-11e1-8103-0027103f347d")
    public static final String UML2INTERACTION = "UML2Interaction ";

    @objid ("6bd681ec-1a76-11e1-8103-0027103f347d")
    public static final String UML2INTERACTIONOVERVIEWDIAGRAM = "UML2InteractionOverviewDiagram ";

    @objid ("6bd6a8fe-1a76-11e1-8103-0027103f347d")
    public static final String UML2INSERTAT = "UML2InsertAt";

    @objid ("6bd6d010-1a76-11e1-8103-0027103f347d")
    public static final String UML2METHODREFERENCE = "UML2MethodReference";

    @objid ("6bd71e34-1a76-11e1-8103-0027103f347d")
    public static final String UML2OPERATIONTEMPLATEPARAMETER = "UML2OperationTemplateParameter";

    @objid ("6bd74546-1a76-11e1-8103-0027103f347d")
    public static final String UML2PROTOCOLCONFORMANCE = "UML2ProtocolConformance";

    @objid ("6bd76c58-1a76-11e1-8103-0027103f347d")
    public static final String UML2RAISEEXCEPTIONACTION = "UML2RaiseExceptionAction";

    @objid ("6bd7936b-1a76-11e1-8103-0027103f347d")
    public static final String UML2READEXTENTACTION = "UML2ReadExtentAction";

    @objid ("6bd7e18e-1a76-11e1-8103-0027103f347d")
    public static final String UML2READISCLASSIFIEROBJECTACTION = "UML2ReadIsClassifierObjectAction";

    @objid ("6bd808a0-1a76-11e1-8103-0027103f347d")
    public static final String UML2READLINKACTION = "UML2ReadLinkAction";

    @objid ("6bd82fb2-1a76-11e1-8103-0027103f347d")
    public static final String UML2READLINKOBJECTENDACTION = "UML2ReadLinkObjectEndAction";

    @objid ("6bd856c5-1a76-11e1-8103-0027103f347d")
    public static final String UML2READLINKOBJECTENDQUALIFIERACTION = "UML2ReadLinkObjectEndQualifierAction";

    @objid ("6bd8a4e8-1a76-11e1-8103-0027103f347d")
    public static final String UML2READSELFACTION = "UML2ReadSelfAction";

    @objid ("6bd8cbfa-1a76-11e1-8103-0027103f347d")
    public static final String UML2READSTRUCTURALFEATUREACTION = "UML2ReadStructuralFeatureAction";

    @objid ("6bd8f30c-1a76-11e1-8103-0027103f347d")
    public static final String UML2READVARIABLEACTION = "UML2ReadVariableAction";

    @objid ("6bd96842-1a76-11e1-8103-0027103f347d")
    public static final String UML2RECEPTION = "UML2Reception";

    @objid ("6bd9b666-1a76-11e1-8103-0027103f347d")
    public static final String UML2RECLASSIFYOBJECTACTION = "UML2ReclassifyObjectAction";

    @objid ("6bd9dd78-1a76-11e1-8103-0027103f347d")
    public static final String UML2REDEFINABLETEMPLATESIGNATURE = "UML2RedefinableTemplateSignature";

    @objid ("6bda048a-1a76-11e1-8103-0027103f347d")
    public static final String UML2REDUCEACTION = "UML2ReduceAction";

    @objid ("6bda2b9c-1a76-11e1-8103-0027103f347d")
    public static final String UML2REMOVESTRUCTURALFEATUREACTION = "UML2RemoveStructuralFeatureAction";

    @objid ("6bda79c0-1a76-11e1-8103-0027103f347d")
    public static final String UML2REMOVEVARIABLEVALUEACTION = "UML2RemoveVariableValueAction";

    @objid ("6bdaa0d2-1a76-11e1-8103-0027103f347d")
    public static final String UML2REPLYACTION = "UML2ReplyAction";

    @objid ("6bdac7e4-1a76-11e1-8103-0027103f347d")
    public static final String UML2SECOND = "UML2Second";

    @objid ("6bdaeef6-1a76-11e1-8103-0027103f347d")
    public static final String UML2SENDOBJECTACTION = "UML2SendObjectAction";

    @objid ("6bdb3d1a-1a76-11e1-8103-0027103f347d")
    public static final String UML2SEQUENCENODE = "UML2SequenceNode";

    @objid ("6bdb642c-1a76-11e1-8103-0027103f347d")
    public static final String UML2STARTCLASSIFIERBEHAVIORACTION = "UML2StartClassifierBehaviorAction";

    @objid ("6bdb8b3e-1a76-11e1-8103-0027103f347d")
    public static final String UML2STRUCTURALFEATUREREFERENCE = "UML2StructuralFeatureReference";

    @objid ("6bdbb250-1a76-11e1-8103-0027103f347d")
    public static final String UML2TARGET = "UML2Target";

    @objid ("6bdc0074-1a76-11e1-8103-0027103f347d")
    public static final String UML2TEMPLATESIGNATURE = "UML2TemplateSignature";

    @objid ("6bdc2786-1a76-11e1-8103-0027103f347d")
    public static final String UML2TESTIDENTITYACTION = "UML2TestIdentityAction";

    @objid ("6bdc4e98-1a76-11e1-8103-0027103f347d")
    public static final String UML2UNMARSHALLACTION = "UML2UnmarshallAction";

    @objid ("6bdc75aa-1a76-11e1-8103-0027103f347d")
    public static final String UML2VALUE = "UML2Value";

    @objid ("6bdcc3ce-1a76-11e1-8103-0027103f347d")
    public static final String UML2VALUESPECIFICATIONACTION = "UML2ValueSpecificationAction";

    @objid ("6bdceae0-1a76-11e1-8103-0027103f347d")
    public static final String UML2SIGNAL = "UML2Signal";

    @objid ("6bdd3904-1a76-11e1-8103-0027103f347d")
    public static final String UML2BODYOUTPUT = "UML2BodyOutput";

    @objid ("6bdd6016-1a76-11e1-8103-0027103f347d")
    public static final String UML2DECIDER = "UML2Decider";

    @objid ("6bddd54c-1a76-11e1-8103-0027103f347d")
    public static final String UML2BODY = "UML2Body";

    @objid ("6bde2370-1a76-11e1-8103-0027103f347d")
    public static final String UML2SETUP = "UML2SetUp";

    @objid ("6bde7194-1a76-11e1-8103-0027103f347d")
    public static final String UML2STEREOTYPEPROPERTY = "UML2StereotypeProperty";

    @objid ("6bde98a6-1a76-11e1-8103-0027103f347d")
    public static final String UML2PROPERTYTYPE = "UML2PropertyType";

    @objid ("6bdee6ca-1a76-11e1-8103-0027103f347d")
    public static final String UML2ENDDATA_REFERENCE = "UML2EndData_Reference";

    @objid ("6bdf0ddc-1a76-11e1-8103-0027103f347d")
    public static final String UML2EVENT = "UML2Event";


}
