/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package com.modeliosoft.modelio.xmi.reverse;

import com.modeliosoft.modelio.javadesigner.annotations.objid;
import com.modeliosoft.modelio.xmi.gui.ProgressBarComposite;
import com.modeliosoft.modelio.xmi.model.ecore.*;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.uml2.uml.*;
import org.eclipse.uml2.uml.Abstraction;
import org.eclipse.uml2.uml.AcceptCallAction;
import org.eclipse.uml2.uml.AcceptEventAction;
import org.eclipse.uml2.uml.Action;
import org.eclipse.uml2.uml.ActionExecutionSpecification;
import org.eclipse.uml2.uml.ActionInputPin;
import org.eclipse.uml2.uml.Activity;
import org.eclipse.uml2.uml.ActivityEdge;
import org.eclipse.uml2.uml.ActivityFinalNode;
import org.eclipse.uml2.uml.ActivityGroup;
import org.eclipse.uml2.uml.ActivityNode;
import org.eclipse.uml2.uml.ActivityParameterNode;
import org.eclipse.uml2.uml.ActivityPartition;
import org.eclipse.uml2.uml.Actor;
import org.eclipse.uml2.uml.AddStructuralFeatureValueAction;
import org.eclipse.uml2.uml.AddVariableValueAction;
import org.eclipse.uml2.uml.AnyReceiveEvent;
import org.eclipse.uml2.uml.Artifact;
import org.eclipse.uml2.uml.Association;
import org.eclipse.uml2.uml.AssociationClass;
import org.eclipse.uml2.uml.Behavior;
import org.eclipse.uml2.uml.BehaviorExecutionSpecification;
import org.eclipse.uml2.uml.BehavioralFeature;
import org.eclipse.uml2.uml.BehavioredClassifier;
import org.eclipse.uml2.uml.BroadcastSignalAction;
import org.eclipse.uml2.uml.CallAction;
import org.eclipse.uml2.uml.CallBehaviorAction;
import org.eclipse.uml2.uml.CallEvent;
import org.eclipse.uml2.uml.CallOperationAction;
import org.eclipse.uml2.uml.CentralBufferNode;
import org.eclipse.uml2.uml.ChangeEvent;
import org.eclipse.uml2.uml.Class;
import org.eclipse.uml2.uml.Classifier;
import org.eclipse.uml2.uml.ClassifierTemplateParameter;
import org.eclipse.uml2.uml.Clause;
import org.eclipse.uml2.uml.ClearAssociationAction;
import org.eclipse.uml2.uml.ClearStructuralFeatureAction;
import org.eclipse.uml2.uml.ClearVariableAction;
import org.eclipse.uml2.uml.Collaboration;
import org.eclipse.uml2.uml.CollaborationUse;
import org.eclipse.uml2.uml.CombinedFragment;
import org.eclipse.uml2.uml.Comment;
import org.eclipse.uml2.uml.CommunicationPath;
import org.eclipse.uml2.uml.Component;
import org.eclipse.uml2.uml.ComponentRealization;
import org.eclipse.uml2.uml.ConditionalNode;
import org.eclipse.uml2.uml.ConnectableElement;
import org.eclipse.uml2.uml.ConnectableElementTemplateParameter;
import org.eclipse.uml2.uml.ConnectionPointReference;
import org.eclipse.uml2.uml.Connector;
import org.eclipse.uml2.uml.ConnectorEnd;
import org.eclipse.uml2.uml.ConsiderIgnoreFragment;
import org.eclipse.uml2.uml.Constraint;
import org.eclipse.uml2.uml.Continuation;
import org.eclipse.uml2.uml.ControlFlow;
import org.eclipse.uml2.uml.ControlNode;
import org.eclipse.uml2.uml.CreateLinkAction;
import org.eclipse.uml2.uml.CreateLinkObjectAction;
import org.eclipse.uml2.uml.CreateObjectAction;
import org.eclipse.uml2.uml.CreationEvent;
import org.eclipse.uml2.uml.DataStoreNode;
import org.eclipse.uml2.uml.DataType;
import org.eclipse.uml2.uml.DecisionNode;
import org.eclipse.uml2.uml.Dependency;
import org.eclipse.uml2.uml.DeployedArtifact;
import org.eclipse.uml2.uml.Deployment;
import org.eclipse.uml2.uml.DeploymentSpecification;
import org.eclipse.uml2.uml.DeploymentTarget;
import org.eclipse.uml2.uml.DestroyLinkAction;
import org.eclipse.uml2.uml.DestroyObjectAction;
import org.eclipse.uml2.uml.DestructionEvent;
import org.eclipse.uml2.uml.Device;
import org.eclipse.uml2.uml.DirectedRelationship;
import org.eclipse.uml2.uml.Duration;
import org.eclipse.uml2.uml.DurationConstraint;
import org.eclipse.uml2.uml.DurationInterval;
import org.eclipse.uml2.uml.DurationObservation;
import org.eclipse.uml2.uml.Element;
import org.eclipse.uml2.uml.ElementImport;
import org.eclipse.uml2.uml.EncapsulatedClassifier;
import org.eclipse.uml2.uml.Enumeration;
import org.eclipse.uml2.uml.EnumerationLiteral;
import org.eclipse.uml2.uml.Event;
import org.eclipse.uml2.uml.ExceptionHandler;
import org.eclipse.uml2.uml.ExecutableNode;
import org.eclipse.uml2.uml.ExecutionEnvironment;
import org.eclipse.uml2.uml.ExecutionEvent;
import org.eclipse.uml2.uml.ExecutionOccurrenceSpecification;
import org.eclipse.uml2.uml.ExecutionSpecification;
import org.eclipse.uml2.uml.ExpansionNode;
import org.eclipse.uml2.uml.ExpansionRegion;
import org.eclipse.uml2.uml.Expression;
import org.eclipse.uml2.uml.Extend;
import org.eclipse.uml2.uml.Extension;
import org.eclipse.uml2.uml.ExtensionEnd;
import org.eclipse.uml2.uml.ExtensionPoint;
import org.eclipse.uml2.uml.Feature;
import org.eclipse.uml2.uml.FinalNode;
import org.eclipse.uml2.uml.FinalState;
import org.eclipse.uml2.uml.FlowFinalNode;
import org.eclipse.uml2.uml.ForkNode;
import org.eclipse.uml2.uml.FunctionBehavior;
import org.eclipse.uml2.uml.Gate;
import org.eclipse.uml2.uml.GeneralOrdering;
import org.eclipse.uml2.uml.Generalization;
import org.eclipse.uml2.uml.GeneralizationSet;
import org.eclipse.uml2.uml.Image;
import org.eclipse.uml2.uml.Include;
import org.eclipse.uml2.uml.InformationFlow;
import org.eclipse.uml2.uml.InformationItem;
import org.eclipse.uml2.uml.InitialNode;
import org.eclipse.uml2.uml.InputPin;
import org.eclipse.uml2.uml.InstanceSpecification;
import org.eclipse.uml2.uml.InstanceValue;
import org.eclipse.uml2.uml.Interaction;
import org.eclipse.uml2.uml.InteractionConstraint;
import org.eclipse.uml2.uml.InteractionFragment;
import org.eclipse.uml2.uml.InteractionOperand;
import org.eclipse.uml2.uml.InteractionUse;
import org.eclipse.uml2.uml.Interface;
import org.eclipse.uml2.uml.InterfaceRealization;
import org.eclipse.uml2.uml.InterruptibleActivityRegion;
import org.eclipse.uml2.uml.Interval;
import org.eclipse.uml2.uml.IntervalConstraint;
import org.eclipse.uml2.uml.InvocationAction;
import org.eclipse.uml2.uml.JoinNode;
import org.eclipse.uml2.uml.Lifeline;
import org.eclipse.uml2.uml.LinkAction;
import org.eclipse.uml2.uml.LinkEndCreationData;
import org.eclipse.uml2.uml.LinkEndData;
import org.eclipse.uml2.uml.LinkEndDestructionData;
import org.eclipse.uml2.uml.LiteralBoolean;
import org.eclipse.uml2.uml.LiteralInteger;
import org.eclipse.uml2.uml.LiteralNull;
import org.eclipse.uml2.uml.LiteralSpecification;
import org.eclipse.uml2.uml.LiteralString;
import org.eclipse.uml2.uml.LiteralUnlimitedNatural;
import org.eclipse.uml2.uml.LoopNode;
import org.eclipse.uml2.uml.Manifestation;
import org.eclipse.uml2.uml.MergeNode;
import org.eclipse.uml2.uml.Message;
import org.eclipse.uml2.uml.MessageEnd;
import org.eclipse.uml2.uml.MessageEvent;
import org.eclipse.uml2.uml.MessageOccurrenceSpecification;
import org.eclipse.uml2.uml.Model;
import org.eclipse.uml2.uml.MultiplicityElement;
import org.eclipse.uml2.uml.NamedElement;
import org.eclipse.uml2.uml.Namespace;
import org.eclipse.uml2.uml.Node;
import org.eclipse.uml2.uml.ObjectFlow;
import org.eclipse.uml2.uml.ObjectNode;
import org.eclipse.uml2.uml.Observation;
import org.eclipse.uml2.uml.OccurrenceSpecification;
import org.eclipse.uml2.uml.OpaqueAction;
import org.eclipse.uml2.uml.OpaqueBehavior;
import org.eclipse.uml2.uml.OpaqueExpression;
import org.eclipse.uml2.uml.Operation;
import org.eclipse.uml2.uml.OperationTemplateParameter;
import org.eclipse.uml2.uml.OutputPin;
import org.eclipse.uml2.uml.Package;
import org.eclipse.uml2.uml.PackageImport;
import org.eclipse.uml2.uml.PackageMerge;
import org.eclipse.uml2.uml.PackageableElement;
import org.eclipse.uml2.uml.Parameter;
import org.eclipse.uml2.uml.ParameterSet;
import org.eclipse.uml2.uml.ParameterableElement;
import org.eclipse.uml2.uml.PartDecomposition;
import org.eclipse.uml2.uml.Pin;
import org.eclipse.uml2.uml.Port;
import org.eclipse.uml2.uml.PrimitiveType;
import org.eclipse.uml2.uml.Profile;
import org.eclipse.uml2.uml.ProfileApplication;
import org.eclipse.uml2.uml.Property;
import org.eclipse.uml2.uml.ProtocolConformance;
import org.eclipse.uml2.uml.ProtocolStateMachine;
import org.eclipse.uml2.uml.ProtocolTransition;
import org.eclipse.uml2.uml.Pseudostate;
import org.eclipse.uml2.uml.QualifierValue;
import org.eclipse.uml2.uml.RaiseExceptionAction;
import org.eclipse.uml2.uml.ReadExtentAction;
import org.eclipse.uml2.uml.ReadIsClassifiedObjectAction;
import org.eclipse.uml2.uml.ReadLinkAction;
import org.eclipse.uml2.uml.ReadLinkObjectEndAction;
import org.eclipse.uml2.uml.ReadLinkObjectEndQualifierAction;
import org.eclipse.uml2.uml.ReadSelfAction;
import org.eclipse.uml2.uml.ReadStructuralFeatureAction;
import org.eclipse.uml2.uml.ReadVariableAction;
import org.eclipse.uml2.uml.Realization;
import org.eclipse.uml2.uml.ReceiveOperationEvent;
import org.eclipse.uml2.uml.ReceiveSignalEvent;
import org.eclipse.uml2.uml.Reception;
import org.eclipse.uml2.uml.ReclassifyObjectAction;
import org.eclipse.uml2.uml.RedefinableElement;
import org.eclipse.uml2.uml.RedefinableTemplateSignature;
import org.eclipse.uml2.uml.ReduceAction;
import org.eclipse.uml2.uml.Region;
import org.eclipse.uml2.uml.Relationship;
import org.eclipse.uml2.uml.RemoveStructuralFeatureValueAction;
import org.eclipse.uml2.uml.RemoveVariableValueAction;
import org.eclipse.uml2.uml.ReplyAction;
import org.eclipse.uml2.uml.SendObjectAction;
import org.eclipse.uml2.uml.SendOperationEvent;
import org.eclipse.uml2.uml.SendSignalAction;
import org.eclipse.uml2.uml.SendSignalEvent;
import org.eclipse.uml2.uml.SequenceNode;
import org.eclipse.uml2.uml.Signal;
import org.eclipse.uml2.uml.SignalEvent;
import org.eclipse.uml2.uml.Slot;
import org.eclipse.uml2.uml.StartClassifierBehaviorAction;
import org.eclipse.uml2.uml.State;
import org.eclipse.uml2.uml.StateInvariant;
import org.eclipse.uml2.uml.StateMachine;
import org.eclipse.uml2.uml.Stereotype;
import org.eclipse.uml2.uml.StringExpression;
import org.eclipse.uml2.uml.StructuralFeature;
import org.eclipse.uml2.uml.StructuralFeatureAction;
import org.eclipse.uml2.uml.StructuredActivityNode;
import org.eclipse.uml2.uml.StructuredClassifier;
import org.eclipse.uml2.uml.Substitution;
import org.eclipse.uml2.uml.TemplateBinding;
import org.eclipse.uml2.uml.TemplateParameter;
import org.eclipse.uml2.uml.TemplateParameterSubstitution;
import org.eclipse.uml2.uml.TemplateSignature;
import org.eclipse.uml2.uml.TemplateableElement;
import org.eclipse.uml2.uml.TestIdentityAction;
import org.eclipse.uml2.uml.TimeConstraint;
import org.eclipse.uml2.uml.TimeEvent;
import org.eclipse.uml2.uml.TimeExpression;
import org.eclipse.uml2.uml.TimeInterval;
import org.eclipse.uml2.uml.TimeObservation;
import org.eclipse.uml2.uml.Transition;
import org.eclipse.uml2.uml.Trigger;
import org.eclipse.uml2.uml.Type;
import org.eclipse.uml2.uml.TypedElement;
import org.eclipse.uml2.uml.UnmarshallAction;
import org.eclipse.uml2.uml.Usage;
import org.eclipse.uml2.uml.UseCase;
import org.eclipse.uml2.uml.ValuePin;
import org.eclipse.uml2.uml.ValueSpecification;
import org.eclipse.uml2.uml.ValueSpecificationAction;
import org.eclipse.uml2.uml.Variable;
import org.eclipse.uml2.uml.VariableAction;
import org.eclipse.uml2.uml.Vertex;
import org.eclipse.uml2.uml.WriteLinkAction;
import org.eclipse.uml2.uml.WriteStructuralFeatureAction;
import org.eclipse.uml2.uml.WriteVariableAction;

@objid ("17fec122-4583-11e0-b54c-00137279a832")
public class XMIImportBehavior {
    @objid ("17fec123-4583-11e0-b54c-00137279a832")
    private ImportModel importModel;

    @objid ("17fec124-4583-11e0-b54c-00137279a832")
    private ProgressBarComposite theProgressBar = null;


    @objid ("17fec125-4583-11e0-b54c-00137279a832")
    public XMIImportBehavior(ProgressBarComposite progressBar) {
        importModel = new ImportModel(progressBar);
        theProgressBar = progressBar;
    }

    @objid ("17fec128-4583-11e0-b54c-00137279a832")
    public XMIImportBehavior() {
        importModel = new ImportModel();
    }

    @objid ("18012378-4583-11e0-b54c-00137279a832")
    public void visitProperty(Property inputProperty) {
        EProperty element = new EProperty(inputProperty);
        importModel.importXMI(element);
    }

    @objid ("1801237b-4583-11e0-b54c-00137279a832")
    public void visitClass(Class inputClass) {
        EClass element = new EClass(inputClass);
        importModel.importXMI(element);
    }

    @objid ("1801237e-4583-11e0-b54c-00137279a832")
    public void visitPackage(Package inputPackage) {
        EPackage element = new EPackage(inputPackage);
        importModel.importXMI(element);
    }

    @objid ("18012381-4583-11e0-b54c-00137279a832")
    public void visitStereotype(Stereotype inputStereotype) {
        EStereotype element = new EStereotype(inputStereotype);
        importModel.importXMI(element);
    }

    @objid ("18012384-4583-11e0-b54c-00137279a832")
    public void visitAbstraction(Abstraction inputAbstraction) {
        EAbstraction element = new EAbstraction(inputAbstraction);
        importModel.importXMI(element);
    }

    @objid ("18012387-4583-11e0-b54c-00137279a832")
    public void visitAcceptCallAction(AcceptCallAction inputAcceptCallAction) {
        EAcceptCallAction element = new EAcceptCallAction(inputAcceptCallAction);
        importModel.importXMI(element);
    }

    @objid ("180385d2-4583-11e0-b54c-00137279a832")
    public void visitAcceptEventAction(AcceptEventAction inputAcceptEventAction) {
        EAcceptEventAction element = new EAcceptEventAction(
                inputAcceptEventAction);
        importModel.importXMI(element);
    }

    @objid ("180385d5-4583-11e0-b54c-00137279a832")
    public void visitAction(Action inputAction) {
    }

    @objid ("180385d8-4583-11e0-b54c-00137279a832")
    public void visitActionExecutionSpecification(ActionExecutionSpecification inputActionExecutionSpecification) {
        EActionExecutionSpecification element = new EActionExecutionSpecification(
                inputActionExecutionSpecification);
        importModel.importXMI(element);
    }

    @objid ("180385db-4583-11e0-b54c-00137279a832")
    public void visitActionInputPin(ActionInputPin inputActionInputPin) {
        EActionInputPin element = new EActionInputPin(inputActionInputPin);
        importModel.importXMI(element);
    }

    @objid ("1805e82c-4583-11e0-b54c-00137279a832")
    public void visitActivity(Activity inputActivity) {
        EActivity element = new EActivity(inputActivity);
        importModel.importXMI(element);
    }

    @objid ("1805e82f-4583-11e0-b54c-00137279a832")
    public void visitActivityEdge(ActivityEdge inputActivityEdge) {
    }

    @objid ("1805e832-4583-11e0-b54c-00137279a832")
    public void visitActivityFinalNode(ActivityFinalNode inputActivityFinalNode) {
        EActivityFinalNode element = new EActivityFinalNode(
                inputActivityFinalNode);
        importModel.importXMI(element);
    }

    @objid ("1805e835-4583-11e0-b54c-00137279a832")
    public void visitActivityGroup(ActivityGroup inputActivityGroup) {
    }

    @objid ("1805e838-4583-11e0-b54c-00137279a832")
    public void visitActivityNode(ActivityNode inputActivityNode) {
    }

    @objid ("18084a86-4583-11e0-b54c-00137279a832")
    public void visitActivityParameterNode(ActivityParameterNode inputActivityParameterNode) {
        EActivityParameterNode element = new EActivityParameterNode(
                inputActivityParameterNode);
        importModel.importXMI(element);
    }

    @objid ("18084a89-4583-11e0-b54c-00137279a832")
    public void visitActivityPartition(ActivityPartition inputActivityPartition) {
        EActivityPartition element = new EActivityPartition(
                inputActivityPartition);
        importModel.importXMI(element);
    }

    @objid ("18084a8c-4583-11e0-b54c-00137279a832")
    public void visitActor(Actor inputActor) {
        EActor element = new EActor(inputActor);
        importModel.importXMI(element);
    }

    @objid ("18084a8f-4583-11e0-b54c-00137279a832")
    public void visitAddStructuralFeatureValueAction(AddStructuralFeatureValueAction inputAddStructuralFeatureValueAction) {
        EAddStructuralFeatureValueAction element = new EAddStructuralFeatureValueAction(
                inputAddStructuralFeatureValueAction);
        importModel.importXMI(element);
    }

    @objid ("18084a92-4583-11e0-b54c-00137279a832")
    public void visitAddVariableValueAction(AddVariableValueAction inputAddVariableValueAction) {
        EAddVariableValueAction element = new EAddVariableValueAction(
                inputAddVariableValueAction);
        importModel.importXMI(element);
    }

    @objid ("180aace0-4583-11e0-b54c-00137279a832")
    public void visitAnyReceiveEvent(AnyReceiveEvent inputAnyReceiveEvent) {
        EAnyReceiveEvent element = new EAnyReceiveEvent(inputAnyReceiveEvent);
        importModel.importXMI(element);
    }

    @objid ("180aace3-4583-11e0-b54c-00137279a832")
    public void visitArtifact(Artifact inputArtifact) {
        EArtifact element = new EArtifact(inputArtifact);
        importModel.importXMI(element);
    }

    @objid ("180aace6-4583-11e0-b54c-00137279a832")
    public void visitAssociation(Association inputAssociation) {
        EAssociation element = new EAssociation(inputAssociation);
        importModel.importXMI(element);
    }

    @objid ("180aace9-4583-11e0-b54c-00137279a832")
    public void visitAssociationClass(AssociationClass inputAssociationClass) {
        EAssociationClass element = new EAssociationClass(inputAssociationClass);
        importModel.importXMI(element);
    }

    @objid ("180aacec-4583-11e0-b54c-00137279a832")
    public void visitBehavior(Behavior inputBehavior) {
    }

    @objid ("180d0f3a-4583-11e0-b54c-00137279a832")
    public void visitBehavioralFeature(BehavioralFeature inputBehavioralFeature) {
    }

    @objid ("180d0f3d-4583-11e0-b54c-00137279a832")
    public void visitBehavioredClassifier(BehavioredClassifier inputBehavioredClassifier) {
    }

    @objid ("180d0f40-4583-11e0-b54c-00137279a832")
    public void visitBehaviorExecutionSpecification(BehaviorExecutionSpecification inputBehaviorExecutionSpecification) {
        EBehaviorExecutionSpecification element = new EBehaviorExecutionSpecification(
                inputBehaviorExecutionSpecification);
        importModel.importXMI(element);
    }

    @objid ("180d0f43-4583-11e0-b54c-00137279a832")
    public void visitBroadcastSignalAction(BroadcastSignalAction inputBroadcastSignalAction) {
        EBroadcastSignalAction element = new EBroadcastSignalAction(
                inputBroadcastSignalAction);
        importModel.importXMI(element);
    }

    @objid ("180d0f46-4583-11e0-b54c-00137279a832")
    public void visitCallAction(CallAction inputCallAction) {
    }

    @objid ("180f7196-4583-11e0-b54c-00137279a832")
    public void visitCallBehaviorAction(CallBehaviorAction inputCallBehaviorAction) {
        ECallBehaviorAction element = new ECallBehaviorAction(
                inputCallBehaviorAction);
        importModel.importXMI(element);
    }

    @objid ("180f7199-4583-11e0-b54c-00137279a832")
    public void visitCallEvent(CallEvent inputCallEvent) {
        ECallEvent element = new ECallEvent(inputCallEvent);
        importModel.importXMI(element);
    }

    @objid ("180f719c-4583-11e0-b54c-00137279a832")
    public void visitCallOperationAction(CallOperationAction inputCallOperationAction) {
        ECallOperationAction element = new ECallOperationAction(
                inputCallOperationAction);
        importModel.importXMI(element);
    }

    @objid ("180f719f-4583-11e0-b54c-00137279a832")
    public void visitCentralBufferNode(CentralBufferNode inputCentralBufferNode) {
        ECentralBufferNode element = new ECentralBufferNode(
                inputCentralBufferNode);
        importModel.importXMI(element);
    }

    @objid ("1811d3ee-4583-11e0-b54c-00137279a832")
    public void visitChangeEvent(ChangeEvent inputChangeEvent) {
        EChangeEvent element = new EChangeEvent(inputChangeEvent);
        importModel.importXMI(element);
    }

    @objid ("1811d3f1-4583-11e0-b54c-00137279a832")
    public void visitClassifier(Classifier inputClassifier) {
    }

    @objid ("1811d3f4-4583-11e0-b54c-00137279a832")
    public void visitClassifierTemplateParameter(ClassifierTemplateParameter inputClassifierTemplateParameter) {
        EClassifierTemplateParameter element = new EClassifierTemplateParameter(
                inputClassifierTemplateParameter);
        importModel.importXMI(element);
    }

    @objid ("1811d3f7-4583-11e0-b54c-00137279a832")
    public void visitClause(Clause inputClause) {
        EClause element = new EClause(inputClause);
        importModel.importXMI(element);
    }

    @objid ("18143648-4583-11e0-b54c-00137279a832")
    public void visitClearAssociationAction(ClearAssociationAction inputClearAssociationAction) {
        EClearAssociationAction element = new EClearAssociationAction(
                inputClearAssociationAction);
        importModel.importXMI(element);
    }

    @objid ("1814364b-4583-11e0-b54c-00137279a832")
    public void visitClearStructuralFeatureAction(ClearStructuralFeatureAction inputClearStructuralFeatureAction) {
        EClearStructuralFeatureAction element = new EClearStructuralFeatureAction(
                inputClearStructuralFeatureAction);
        importModel.importXMI(element);
    }

    @objid ("1814364e-4583-11e0-b54c-00137279a832")
    public void visitClearVariableAction(ClearVariableAction inputClearVariableAction) {
        EClearVariableAction element = new EClearVariableAction(
                inputClearVariableAction);
        importModel.importXMI(element);
    }

    @objid ("18143651-4583-11e0-b54c-00137279a832")
    public void visitCollaboration(Collaboration inputCollaboration) {
        ECollaboration element = new ECollaboration(inputCollaboration);
        importModel.importXMI(element);
    }

    @objid ("18143654-4583-11e0-b54c-00137279a832")
    public void visitCollaborationUse(CollaborationUse inputCollaborationUse) {
        ECollaborationUse element = new ECollaborationUse(inputCollaborationUse);
        importModel.importXMI(element);
    }

    @objid ("181698a3-4583-11e0-b54c-00137279a832")
    public void visitCombinedFragment(CombinedFragment inputCombinedFragment) {
        ECombinedFragment element = new ECombinedFragment(inputCombinedFragment);
        importModel.importXMI(element);
    }

    @objid ("181698a6-4583-11e0-b54c-00137279a832")
    public void visitComment(Comment inputComment) {
        EComment element = new EComment(inputComment);
        importModel.importXMI(element);
    }

    @objid ("181698a9-4583-11e0-b54c-00137279a832")
    public void visitCommunicationPath(CommunicationPath inputCommunicationPath) {
        ECommunicationPath element = new ECommunicationPath(
                inputCommunicationPath);
        importModel.importXMI(element);
    }

    @objid ("181698ac-4583-11e0-b54c-00137279a832")
    public void visitComponent(Component inputComponent) {
        EComponent element = new EComponent(inputComponent);
        importModel.importXMI(element);
    }

    @objid ("1818fafc-4583-11e0-b54c-00137279a832")
    public void visitComponentRealization(ComponentRealization inputComponentRealization) {
        EComponentRealization element = new EComponentRealization(
                inputComponentRealization);
        importModel.importXMI(element);
    }

    @objid ("1818faff-4583-11e0-b54c-00137279a832")
    public void visitConditionalNode(ConditionalNode inputConditionalNode) {
        EConditionalNode element = new EConditionalNode(inputConditionalNode);
        importModel.importXMI(element);
    }

    @objid ("1818fb02-4583-11e0-b54c-00137279a832")
    public void visitConnectableElement(ConnectableElement inputConnectableElement) {
    }

    @objid ("1818fb05-4583-11e0-b54c-00137279a832")
    public void visitConnectableElementTemplateParameter(ConnectableElementTemplateParameter inputConnectableElementTemplateParameter) {
        EConnectableElementTemplateParameter element = new EConnectableElementTemplateParameter(
                inputConnectableElementTemplateParameter);
        importModel.importXMI(element);
    }

    @objid ("181b5d56-4583-11e0-b54c-00137279a832")
    public void visitConnectionPointReference(ConnectionPointReference inputConnectionPointReference) {
        EConnectionPointReference element = new EConnectionPointReference(
                inputConnectionPointReference);
        importModel.importXMI(element);
    }

    @objid ("181b5d59-4583-11e0-b54c-00137279a832")
    public void visitConnector(Connector inputConnector) {
        EConnector element = new EConnector(inputConnector);
        importModel.importXMI(element);
    }

    @objid ("181b5d5c-4583-11e0-b54c-00137279a832")
    public void visitConnectorEnd(ConnectorEnd inputConnectorEnd) {
        EConnectorEnd element = new EConnectorEnd(inputConnectorEnd);
        importModel.importXMI(element);
    }

    @objid ("181dbfb0-4583-11e0-b54c-00137279a832")
    public void visitConsiderIgnoreFragment(ConsiderIgnoreFragment inputConsiderIgnoreFragment) {
        EConsiderIgnoreFragment element = new EConsiderIgnoreFragment(
                inputConsiderIgnoreFragment);
        importModel.importXMI(element);
    }

    @objid ("181dbfb3-4583-11e0-b54c-00137279a832")
    public void visitConstraint(Constraint inputConstraint) {
        EConstraint element = new EConstraint(inputConstraint);
        importModel.importXMI(element);
    }

    @objid ("181dbfb6-4583-11e0-b54c-00137279a832")
    public void visitContinuation(Continuation inputContinuation) {
        EContinuation element = new EContinuation(inputContinuation);
        importModel.importXMI(element);
    }

    @objid ("181dbfb9-4583-11e0-b54c-00137279a832")
    public void visitControlFlow(ControlFlow inputControlFlow) {
        EControlFlow element = new EControlFlow(inputControlFlow);
        importModel.importXMI(element);
    }

    @objid ("1820220a-4583-11e0-b54c-00137279a832")
    public void visitControlNode(ControlNode inputControlNode) {
    }

    @objid ("1820220d-4583-11e0-b54c-00137279a832")
    public void visitCreateLinkAction(CreateLinkAction inputCreateLinkAction) {
        ECreateLinkAction element = new ECreateLinkAction(inputCreateLinkAction);
        importModel.importXMI(element);
    }

    @objid ("18202210-4583-11e0-b54c-00137279a832")
    public void visitCreateLinkObjectAction(CreateLinkObjectAction inputCreateLinkObjectAction) {
        ECreateLinkObjectAction element = new ECreateLinkObjectAction(
                inputCreateLinkObjectAction);
        importModel.importXMI(element);
    }

    @objid ("18228464-4583-11e0-b54c-00137279a832")
    public void visitCreateObjectAction(CreateObjectAction inputCreateObjectAction) {
        ECreateObjectAction element = new ECreateObjectAction(
                inputCreateObjectAction);
        importModel.importXMI(element);
    }

    @objid ("18228467-4583-11e0-b54c-00137279a832")
    public void visitCreationEvent(CreationEvent inputCreationEvent) {
        ECreationEvent element = new ECreationEvent(inputCreationEvent);
        importModel.importXMI(element);
    }

    @objid ("1822846a-4583-11e0-b54c-00137279a832")
    public void visitDataStoreNode(DataStoreNode inputDataStoreNode) {
        EDataStoreNode element = new EDataStoreNode(inputDataStoreNode);
        importModel.importXMI(element);
    }

    @objid ("1822846d-4583-11e0-b54c-00137279a832")
    public void visitDataType(DataType inputDataType) {
        EDataType element = new EDataType(inputDataType);
        importModel.importXMI(element);
    }

    @objid ("1824e6be-4583-11e0-b54c-00137279a832")
    public void visitDecisionNode(DecisionNode inputDecisionNode) {
        EDecisionNode element = new EDecisionNode(inputDecisionNode);
        importModel.importXMI(element);
    }

    @objid ("1824e6c1-4583-11e0-b54c-00137279a832")
    public void visitDependency(Dependency inputDependency) {
        EDependency element = new EDependency(inputDependency);
        importModel.importXMI(element);
    }

    @objid ("1824e6c4-4583-11e0-b54c-00137279a832")
    public void visitDeployedArtifact(DeployedArtifact inputDeployedArtifact) {
    }

    @objid ("1824e6c7-4583-11e0-b54c-00137279a832")
    public void visitDeployment(Deployment inputDeployment) {
        EDeployment element = new EDeployment(inputDeployment);
        importModel.importXMI(element);
    }

    @objid ("18274919-4583-11e0-b54c-00137279a832")
    public void visitDeploymentSpecification(DeploymentSpecification inputDeploymentSpecification) {
        EDeploymentSpecification element = new EDeploymentSpecification(
                inputDeploymentSpecification);
        importModel.importXMI(element);
    }

    @objid ("1827491c-4583-11e0-b54c-00137279a832")
    public void visitDeploymentTarget(DeploymentTarget inputDeploymentTarget) {
    }

    @objid ("1827491f-4583-11e0-b54c-00137279a832")
    public void visitDestroyLinkAction(DestroyLinkAction inputDestroyLinkAction) {
        EDestroyLinkAction element = new EDestroyLinkAction(
                inputDestroyLinkAction);
        importModel.importXMI(element);
    }

    @objid ("18274922-4583-11e0-b54c-00137279a832")
    public void visitDestroyObjectAction(DestroyObjectAction inputDestroyObjectAction) {
        EDestroyObjectAction element = new EDestroyObjectAction(
                inputDestroyObjectAction);
        importModel.importXMI(element);
    }

    @objid ("18274925-4583-11e0-b54c-00137279a832")
    public void visitDestructionEvent(DestructionEvent inputDestructionEvent) {
        EDestructionEvent element = new EDestructionEvent(inputDestructionEvent);
        importModel.importXMI(element);
    }

    @objid ("18274928-4583-11e0-b54c-00137279a832")
    public void visitDevice(Device inputDevice) {
        EDevice element = new EDevice(inputDevice);
        importModel.importXMI(element);
    }

    @objid ("1829ab72-4583-11e0-b54c-00137279a832")
    public void visitDirectedRelationship(DirectedRelationship inputDirectedRelationship) {
    }

    @objid ("1829ab75-4583-11e0-b54c-00137279a832")
    public void visitDuration(Duration inputDuration) {
        EDuration element = new EDuration(inputDuration);
        importModel.importXMI(element);
    }

    @objid ("1829ab78-4583-11e0-b54c-00137279a832")
    public void visitDurationConstraint(DurationConstraint inputDurationConstraint) {
        EDurationConstraint element = new EDurationConstraint(
                inputDurationConstraint);
        importModel.importXMI(element);
    }

    @objid ("182c0dcc-4583-11e0-b54c-00137279a832")
    public void visitDurationInterval(DurationInterval inputDurationInterval) {
        EDurationInterval element = new EDurationInterval(inputDurationInterval);
        importModel.importXMI(element);
    }

    @objid ("182c0dcf-4583-11e0-b54c-00137279a832")
    public void visitDurationObservation(final DurationObservation inputDurationIservation) {
        EDurationObservation element = new EDurationObservation(
                inputDurationIservation);
        importModel.importXMI(element);
    }

    @objid ("182c0dd2-4583-11e0-b54c-00137279a832")
    public void visitElement(Element inputElement) {
    }

    @objid ("182c0dd5-4583-11e0-b54c-00137279a832")
    public void visitElementImport(ElementImport inputElementImport) {
        EElementImport element = new EElementImport(inputElementImport);
        importModel.importXMI(element);
    }

    @objid ("182e7027-4583-11e0-b54c-00137279a832")
    public void visitEncapsulatedClassifier(EncapsulatedClassifier inputEncapsulatedClassifier) {
    }

    @objid ("182e702a-4583-11e0-b54c-00137279a832")
    public void visitEnumeration(Enumeration inputEnumeration) {
        EEnumeration element = new EEnumeration(inputEnumeration);
        importModel.importXMI(element);
    }

    @objid ("182e702d-4583-11e0-b54c-00137279a832")
    public void visitEnumerationLiteral(EnumerationLiteral inputEnumerationLiteral) {
        EEnumerationLiteral element = new EEnumerationLiteral(
                inputEnumerationLiteral);
        importModel.importXMI(element);
    }

    @objid ("1830d280-4583-11e0-b54c-00137279a832")
    public void visitEvent(Event inputEvent) {
    }

    @objid ("1830d283-4583-11e0-b54c-00137279a832")
    public void visitExceptionHandler(ExceptionHandler inputExceptionHandler) {
        EExceptionHandler element = new EExceptionHandler(inputExceptionHandler);
        importModel.importXMI(element);
    }

    @objid ("1830d286-4583-11e0-b54c-00137279a832")
    public void visitExecutableNode(ExecutableNode inputExecutableNode) {
    }

    @objid ("183334da-4583-11e0-b54c-00137279a832")
    public void visitExecutionEnvironment(ExecutionEnvironment inputExecutionEnvironment) {
        EExecutionEnvironment element = new EExecutionEnvironment(
                inputExecutionEnvironment);
        importModel.importXMI(element);
    }

    @objid ("183334dd-4583-11e0-b54c-00137279a832")
    public void visitExecutionEvent(ExecutionEvent inputExecutionEvent) {
        EExecutionEvent element = new EExecutionEvent(inputExecutionEvent);
        importModel.importXMI(element);
    }

    @objid ("183334e0-4583-11e0-b54c-00137279a832")
    public void visitExecutionOccurrenceSpecification(ExecutionOccurrenceSpecification inputExecutionOccurrenceSpecification) {
        EExecutionOccurrenceSpecification element = new EExecutionOccurrenceSpecification(
                inputExecutionOccurrenceSpecification);
        importModel.importXMI(element);
    }

    @objid ("18359735-4583-11e0-b54c-00137279a832")
    public void visitExecutionSpecification(ExecutionSpecification inputExecutionSpecification) {
    }

    @objid ("18359738-4583-11e0-b54c-00137279a832")
    public void visitExpansionNode(ExpansionNode inputExpansionNode) {
        EExpansionNode element = new EExpansionNode(inputExpansionNode);
        importModel.importXMI(element);
    }

    @objid ("1835973b-4583-11e0-b54c-00137279a832")
    public void visitExpansionRegion(ExpansionRegion inputExpansionRegion) {
        EExpansionRegion element = new EExpansionRegion(inputExpansionRegion);
        importModel.importXMI(element);
    }

    @objid ("1837f98f-4583-11e0-b54c-00137279a832")
    public void visitExpression(Expression inputExpression) {
        EExpression element = new EExpression(inputExpression);
        importModel.importXMI(element);
    }

    @objid ("1837f992-4583-11e0-b54c-00137279a832")
    public void visitExtend(Extend inputExtend) {
        EExtend element = new EExtend(inputExtend);
        importModel.importXMI(element);
    }

    @objid ("1837f995-4583-11e0-b54c-00137279a832")
    public void visitExtension(Extension inputExtension) {
        EExtension element = new EExtension(inputExtension);
        importModel.importXMI(element);
    }

    @objid ("183a5bea-4583-11e0-b54c-00137279a832")
    public void visitExtensionEnd(ExtensionEnd inputExtensionEnd) {
        EExtensionEnd element = new EExtensionEnd(inputExtensionEnd);
        importModel.importXMI(element);
    }

    @objid ("183a5bed-4583-11e0-b54c-00137279a832")
    public void visitExtensionPoint(ExtensionPoint inputExtensionPoint) {
        EExtensionPoint element = new EExtensionPoint(inputExtensionPoint);
        importModel.importXMI(element);
    }

    @objid ("183cbe42-4583-11e0-b54c-00137279a832")
    public void visitFeature(Feature inputFeature) {
    }

    @objid ("183cbe45-4583-11e0-b54c-00137279a832")
    public void visitFinalNode(FinalNode inputFinalNode) {
    }

    @objid ("183cbe48-4583-11e0-b54c-00137279a832")
    public void visitFinalState(FinalState inputFinalState) {
        EFinalState element = new EFinalState(inputFinalState);
        importModel.importXMI(element);
    }

    @objid ("183f209c-4583-11e0-b54c-00137279a832")
    public void visitFlowFinalNode(FlowFinalNode inputFlowFinalNode) {
        EFlowFinalNode element = new EFlowFinalNode(inputFlowFinalNode);
        importModel.importXMI(element);
    }

    @objid ("183f209f-4583-11e0-b54c-00137279a832")
    public void visitForkNode(ForkNode inputForkNode) {
        EForkNode element = new EForkNode(inputForkNode);
        importModel.importXMI(element);
    }

    @objid ("183f20a2-4583-11e0-b54c-00137279a832")
    public void visitFunctionBehavior(FunctionBehavior inputFunctionBehavior) {
        EFunctionBehavior element = new EFunctionBehavior(inputFunctionBehavior);
        importModel.importXMI(element);
    }

    @objid ("184182f6-4583-11e0-b54c-00137279a832")
    public void visitGate(Gate inputGate) {
        EGate element = new EGate(inputGate);
        importModel.importXMI(element);
    }

    @objid ("184182f9-4583-11e0-b54c-00137279a832")
    public void visitGeneralization(Generalization inputGeneralization) {
        EGeneralization element = new EGeneralization(inputGeneralization);
        importModel.importXMI(element);
    }

    @objid ("184182fc-4583-11e0-b54c-00137279a832")
    public void visitGeneralizationSet(GeneralizationSet inputGeneralizationSet) {
        EGeneralizationSet element = new EGeneralizationSet(
                inputGeneralizationSet);
        importModel.importXMI(element);
    }

    @objid ("1843e550-4583-11e0-b54c-00137279a832")
    public void visitGeneralOrdering(GeneralOrdering inputGeneralOrdering) {
        EGeneralOrdering element = new EGeneralOrdering(inputGeneralOrdering);
        importModel.importXMI(element);
    }

    @objid ("1843e553-4583-11e0-b54c-00137279a832")
    public void visitImage(Image inputImage) {
        EImage element = new EImage(inputImage);
        importModel.importXMI(element);
    }

    @objid ("1843e556-4583-11e0-b54c-00137279a832")
    public void visitInclude(Include inputInclude) {
        EInclude element = new EInclude(inputInclude);
        importModel.importXMI(element);
    }

    @objid ("184647aa-4583-11e0-b54c-00137279a832")
    public void visitInformationFlow(InformationFlow inputInformationFlow) {
        EInformationFlow element = new EInformationFlow(inputInformationFlow);
        importModel.importXMI(element);
    }

    @objid ("184647ad-4583-11e0-b54c-00137279a832")
    public void visitInformationItem(InformationItem inputInformationItem) {
        EInformationItem element = new EInformationItem(inputInformationItem);
        importModel.importXMI(element);
    }

    @objid ("1848aa04-4583-11e0-b54c-00137279a832")
    public void visitInitialNode(InitialNode inputInitialNode) {
        EInitialNode element = new EInitialNode(inputInitialNode);
        importModel.importXMI(element);
    }

    @objid ("1848aa07-4583-11e0-b54c-00137279a832")
    public void visitInputPin(InputPin inputInputPin) {
        EInputPin element = new EInputPin(inputInputPin);
        importModel.importXMI(element);
    }

    @objid ("184b0c5e-4583-11e0-b54c-00137279a832")
    public void visitInstanceSpecification(InstanceSpecification inputInstanceSpecification) {
        EInstanceSpecification element = new EInstanceSpecification(
                inputInstanceSpecification);
        importModel.importXMI(element);
    }

    @objid ("184b0c61-4583-11e0-b54c-00137279a832")
    public void visitInstanceValue(InstanceValue inputInstanceValue) {
        EInstanceValue element = new EInstanceValue(inputInstanceValue);
        importModel.importXMI(element);
    }

    @objid ("184b0c64-4583-11e0-b54c-00137279a832")
    public void visitInteraction(Interaction inputInteraction) {
        EInteraction element = new EInteraction(inputInteraction);
        importModel.importXMI(element);
    }

    @objid ("184d6eb8-4583-11e0-b54c-00137279a832")
    public void visitInteractionConstraint(InteractionConstraint inputInteractionConstraint) {
        EInteractionConstraint element = new EInteractionConstraint(
                inputInteractionConstraint);
        importModel.importXMI(element);
    }

    @objid ("184d6ebb-4583-11e0-b54c-00137279a832")
    public void visitInteractionFragment(InteractionFragment inputInteractionFragment) {
    }

    @objid ("184d6ebe-4583-11e0-b54c-00137279a832")
    public void visitInteractionOperand(InteractionOperand inputInteractionOperand) {
        EInteractionOperand element = new EInteractionOperand(
                inputInteractionOperand);
        importModel.importXMI(element);
    }

    @objid ("184fd112-4583-11e0-b54c-00137279a832")
    public void visitInteractionUse(InteractionUse inputInteractionUse) {
        EInteractionUse element = new EInteractionUse(inputInteractionUse);
        importModel.importXMI(element);
    }

    @objid ("184fd115-4583-11e0-b54c-00137279a832")
    public void visitInterface(Interface inputInterface) {
        EInterface element = new EInterface(inputInterface);
        importModel.importXMI(element);
    }

    @objid ("1852336c-4583-11e0-b54c-00137279a832")
    public void visitInterfaceRealization(InterfaceRealization inputInterfaceRealization) {
        EInterfaceRealization element = new EInterfaceRealization(
                inputInterfaceRealization);
        importModel.importXMI(element);
    }

    @objid ("1852336f-4583-11e0-b54c-00137279a832")
    public void visitInterruptibleActivityRegion(InterruptibleActivityRegion inputInterruptibleActivityRegion) {
        EInterruptibleActivityRegion element = new EInterruptibleActivityRegion(
                inputInterruptibleActivityRegion);
        importModel.importXMI(element);
    }

    @objid ("18523372-4583-11e0-b54c-00137279a832")
    public void visitInterval(Interval inputInterval) {
        EInterval element = new EInterval(inputInterval);
        importModel.importXMI(element);
    }

    @objid ("185495c6-4583-11e0-b54c-00137279a832")
    public void visitIntervalConstraint(IntervalConstraint inputIntervalConstraint) {
        EIntervalConstraint element = new EIntervalConstraint(
                inputIntervalConstraint);
        importModel.importXMI(element);
    }

    @objid ("185495c9-4583-11e0-b54c-00137279a832")
    public void visitInvocationAction(InvocationAction inputInvocationAction) {
    }

    @objid ("1856f820-4583-11e0-b54c-00137279a832")
    public void visitJoinNode(JoinNode inputJoinNode) {
        EJoinNode element = new EJoinNode(inputJoinNode);
        importModel.importXMI(element);
    }

    @objid ("1856f823-4583-11e0-b54c-00137279a832")
    public void visitLifeline(Lifeline inputLifeline) {
        ELifeline element = new ELifeline(inputLifeline);
        importModel.importXMI(element);
    }

    @objid ("1856f826-4583-11e0-b54c-00137279a832")
    public void visitLinkAction(LinkAction inputLinkAction) {
    }

    @objid ("18595a7a-4583-11e0-b54c-00137279a832")
    public void visitLinkEndCreationData(LinkEndCreationData inputLinkEndCreationData) {
        ELinkEndCreationData element = new ELinkEndCreationData(
                inputLinkEndCreationData);
        importModel.importXMI(element);
    }

    @objid ("18595a7d-4583-11e0-b54c-00137279a832")
    public void visitLinkEndData(LinkEndData inputLinkEndData) {
        ELinkEndData element = new ELinkEndData(inputLinkEndData);
        importModel.importXMI(element);
    }

    @objid ("185bbcd4-4583-11e0-b54c-00137279a832")
    public void visitLinkEndDestructionData(LinkEndDestructionData inputLinkEndDestructionData) {
        ELinkEndDestructionData element = new ELinkEndDestructionData(
                inputLinkEndDestructionData);
        importModel.importXMI(element);
    }

    @objid ("185bbcd7-4583-11e0-b54c-00137279a832")
    public void visitLiteralBoolean(LiteralBoolean inputLiteralBoolean) {
        ELiteralBoolean element = new ELiteralBoolean(inputLiteralBoolean);
        importModel.importXMI(element);
    }

    @objid ("185bbcda-4583-11e0-b54c-00137279a832")
    public void visitLiteralInteger(LiteralInteger inputLiteralInteger) {
        ELiteralInteger element = new ELiteralInteger(inputLiteralInteger);
        importModel.importXMI(element);
    }

    @objid ("185e1f2e-4583-11e0-b54c-00137279a832")
    public void visitLiteralNull(LiteralNull inputLiteralNull) {
        ELiteralNull element = new ELiteralNull(inputLiteralNull);
        importModel.importXMI(element);
    }

    @objid ("185e1f31-4583-11e0-b54c-00137279a832")
    public void visitLiteralSpecification(LiteralSpecification inputLiteralSpecification) {
    }

    @objid ("18608188-4583-11e0-b54c-00137279a832")
    public void visitLiteralString(LiteralString inputLiteralString) {
        ELiteralString element = new ELiteralString(inputLiteralString);
        importModel.importXMI(element);
    }

    @objid ("1860818b-4583-11e0-b54c-00137279a832")
    public void visitLiteralUnlimitedNatural(LiteralUnlimitedNatural inputLiteralUnlimitedNatural) {
        ELiteralUnlimitedNatural element = new ELiteralUnlimitedNatural(
                inputLiteralUnlimitedNatural);
        importModel.importXMI(element);
    }

    @objid ("1860818e-4583-11e0-b54c-00137279a832")
    public void visitLoopNode(LoopNode inputLoopNode) {
        ELoopNode element = new ELoopNode(inputLoopNode);
        importModel.importXMI(element);
    }

    @objid ("1862e3e2-4583-11e0-b54c-00137279a832")
    public void visitManifestation(Manifestation inputManifestation) {
        EManifestation element = new EManifestation(inputManifestation);
        importModel.importXMI(element);
    }

    @objid ("1862e3e5-4583-11e0-b54c-00137279a832")
    public void visitMergeNode(MergeNode inputMergeNode) {
        EMergeNode element = new EMergeNode(inputMergeNode);
        importModel.importXMI(element);
    }

    @objid ("1865463c-4583-11e0-b54c-00137279a832")
    public void visitMessage(Message inputMessage) {
        EMessage element = new EMessage(inputMessage);
        importModel.importXMI(element);
    }

    @objid ("1865463f-4583-11e0-b54c-00137279a832")
    public void visitMessageEnd(MessageEnd inputMessageEnd) {
    }

    @objid ("1867a896-4583-11e0-b54c-00137279a832")
    public void visitMessageEvent(MessageEvent inputMessageEvent) {
    }

    @objid ("1867a899-4583-11e0-b54c-00137279a832")
    public void visitMessageOccurrenceSpecification(MessageOccurrenceSpecification inputMessageOccurrenceSpecification) {
        EMessageOccurrenceSpecification element = new EMessageOccurrenceSpecification(
                inputMessageOccurrenceSpecification);
        importModel.importXMI(element);
    }

    @objid ("1867a89c-4583-11e0-b54c-00137279a832")
    public void visitModel(Model inputModel) {
        EModel element = new EModel(inputModel);
        importModel.importXMI(element);
    }

    @objid ("186a0af0-4583-11e0-b54c-00137279a832")
    public void visitMultiplicityElement(MultiplicityElement inputMultiplicityElement) {
    }

    @objid ("186a0af3-4583-11e0-b54c-00137279a832")
    public void visitNamedElement(NamedElement inputNamedElement) {
    }

    @objid ("186c6d4a-4583-11e0-b54c-00137279a832")
    public void visitNamespace(Namespace inputNamespace) {
    }

    @objid ("186c6d4d-4583-11e0-b54c-00137279a832")
    public void visitNode(Node inputNode) {
        ENode element = new ENode(inputNode);
        importModel.importXMI(element);
    }

    @objid ("186ecfa4-4583-11e0-b54c-00137279a832")
    public void visitObjectFlow(ObjectFlow inputObjectFlow) {
        EObjectFlow element = new EObjectFlow(inputObjectFlow);
        importModel.importXMI(element);
    }

    @objid ("186ecfa7-4583-11e0-b54c-00137279a832")
    public void visitObjectNode(ObjectNode inputObjectNode) {
    }

    @objid ("187131ff-4583-11e0-b54c-00137279a832")
    public void visitOccurrenceSpecification(OccurrenceSpecification inputOccurrenceSpecification) {
        EOccurrenceSpecification element = new EOccurrenceSpecification(
                inputOccurrenceSpecification);
        importModel.importXMI(element);
    }

    @objid ("18713202-4583-11e0-b54c-00137279a832")
    public void visitOpaqueAction(OpaqueAction inputOpaqueAction) {
        EOpaqueAction element = new EOpaqueAction(inputOpaqueAction);
        importModel.importXMI(element);
    }

    @objid ("18739458-4583-11e0-b54c-00137279a832")
    public void visitOpaqueBehavior(OpaqueBehavior inputOpaqueBehavior) {
        EOpaqueBehavior element = new EOpaqueBehavior(inputOpaqueBehavior);
        importModel.importXMI(element);
    }

    @objid ("1873945b-4583-11e0-b54c-00137279a832")
    public void visitOpaqueExpression(OpaqueExpression inputOpaqueExpression) {
        EOpaqueExpression element = new EOpaqueExpression(inputOpaqueExpression);
        importModel.importXMI(element);
    }

    @objid ("1875f6b2-4583-11e0-b54c-00137279a832")
    public void visitOperation(Operation inputOperation) {
        EOperation element = new EOperation(inputOperation);
        importModel.importXMI(element);
    }

    @objid ("1875f6b5-4583-11e0-b54c-00137279a832")
    public void visitOperationTemplateParameter(OperationTemplateParameter inputOperationTemplateParameter) {
        EOperationTemplateParameter element = new EOperationTemplateParameter(
                inputOperationTemplateParameter);
        importModel.importXMI(element);
    }

    @objid ("1878590c-4583-11e0-b54c-00137279a832")
    public void visitOutputPin(OutputPin inputOutputPin) {
        EOutputPin element = new EOutputPin(inputOutputPin);
        importModel.importXMI(element);
    }

    @objid ("1878590f-4583-11e0-b54c-00137279a832")
    public void visitPackageableElement(PackageableElement inputPackageableElement) {
    }

    @objid ("187abb66-4583-11e0-b54c-00137279a832")
    public void visitPackageImport(PackageImport inputPackageImport) {
        EPackageImport element = new EPackageImport(inputPackageImport);
        importModel.importXMI(element);
    }

    @objid ("187abb69-4583-11e0-b54c-00137279a832")
    public void visitPackageMerge(PackageMerge inputPackageMerge) {
        EPackageMerge element = new EPackageMerge(inputPackageMerge);
        importModel.importXMI(element);
    }

    @objid ("187abb6c-4583-11e0-b54c-00137279a832")
    public void visitParameter(Parameter inputParameter) {
        EParameter element = new EParameter(inputParameter);
        importModel.importXMI(element);
    }

    @objid ("187d1dc2-4583-11e0-b54c-00137279a832")
    public void visitParameterableElement(ParameterableElement inputParameterableElement) {
    }

    @objid ("187f801a-4583-11e0-b54c-00137279a832")
    public void visitParameterSet(ParameterSet inputParameterSet) {
        EParameterSet element = new EParameterSet(inputParameterSet);
        importModel.importXMI(element);
    }

    @objid ("187f801d-4583-11e0-b54c-00137279a832")
    public void visitPartDecomposition(PartDecomposition inputPartDecomposition) {
        EPartDecomposition element = new EPartDecomposition(
                inputPartDecomposition);
        importModel.importXMI(element);
    }

    @objid ("1881e274-4583-11e0-b54c-00137279a832")
    public void visitPin(Pin inputPin) {
        EPin element = new EPin(inputPin);
        importModel.importXMI(element);
    }

    @objid ("1881e277-4583-11e0-b54c-00137279a832")
    public void visitPort(Port inputPort) {
        EPort element = new EPort(inputPort);
        importModel.importXMI(element);
    }

    @objid ("188444ce-4583-11e0-b54c-00137279a832")
    public void visitPrimitiveType(PrimitiveType inputPrimitiveType) {
        EPrimitiveType element = new EPrimitiveType(inputPrimitiveType);
        importModel.importXMI(element);
    }

    @objid ("188444d1-4583-11e0-b54c-00137279a832")
    public void visitProfile(Profile inputProfile) {
        EProfile element = new EProfile(inputProfile);
        importModel.importXMI(element);
    }

    @objid ("1886a728-4583-11e0-b54c-00137279a832")
    public void visitProfileApplication(ProfileApplication inputProfileApplication) {
        EProfileApplication element = new EProfileApplication(
                inputProfileApplication);
        importModel.importXMI(element);
    }

    @objid ("1886a72b-4583-11e0-b54c-00137279a832")
    public void visitProtocolConformance(ProtocolConformance inputProtocolConformance) {
        EProtocolConformance element = new EProtocolConformance(
                inputProtocolConformance);
        importModel.importXMI(element);
    }

    @objid ("18890982-4583-11e0-b54c-00137279a832")
    public void visitProtocolStateMachine(ProtocolStateMachine inputProtocolStateMachine) {
        EProtocolStateMachine element = new EProtocolStateMachine(
                inputProtocolStateMachine);
        importModel.importXMI(element);
    }

    @objid ("18890985-4583-11e0-b54c-00137279a832")
    public void visitProtocolTransition(ProtocolTransition inputProtocolTransition) {
        EProtocolTransition element = new EProtocolTransition(
                inputProtocolTransition);
        importModel.importXMI(element);
    }

    @objid ("188b6bdc-4583-11e0-b54c-00137279a832")
    public void visitPseudostate(Pseudostate inputPseudostate) {
        EPseudostate element = new EPseudostate(inputPseudostate);
        importModel.importXMI(element);
    }

    @objid ("188b6bdf-4583-11e0-b54c-00137279a832")
    public void visitQualifierValue(QualifierValue inputQualifierValue) {
        EQualifierValue element = new EQualifierValue(inputQualifierValue);
        importModel.importXMI(element);
    }

    @objid ("188b6be2-4583-11e0-b54c-00137279a832")
    public void visitRaiseExceptionAction(RaiseExceptionAction inputRaiseExceptionAction) {
        ERaiseExceptionAction element = new ERaiseExceptionAction(
                inputRaiseExceptionAction);
        importModel.importXMI(element);
    }

    @objid ("188dce38-4583-11e0-b54c-00137279a832")
    public void visitReadExtentAction(ReadExtentAction inputReadExtentAction) {
        EReadExtentAction element = new EReadExtentAction(inputReadExtentAction);
        importModel.importXMI(element);
    }

    @objid ("188dce3b-4583-11e0-b54c-00137279a832")
    public void visitReadIsClassifiedObjectAction(ReadIsClassifiedObjectAction inputReadIsClassifiedObjectAction) {
        EReadIsClassifiedObjectAction element = new EReadIsClassifiedObjectAction(
                inputReadIsClassifiedObjectAction);
        importModel.importXMI(element);
    }

    @objid ("18903091-4583-11e0-b54c-00137279a832")
    public void visitReadLinkAction(ReadLinkAction inputReadLinkAction) {
        EReadLinkAction element = new EReadLinkAction(inputReadLinkAction);
        importModel.importXMI(element);
    }

    @objid ("18903094-4583-11e0-b54c-00137279a832")
    public void visitReadLinkObjectEndAction(ReadLinkObjectEndAction inputReadLinkObjectEndAction) {
        EReadLinkObjectEndAction element = new EReadLinkObjectEndAction(
                inputReadLinkObjectEndAction);
        importModel.importXMI(element);
    }

    @objid ("189292eb-4583-11e0-b54c-00137279a832")
    public void visitReadLinkObjectEndQualifierAction(ReadLinkObjectEndQualifierAction inputReadLinkObjectEndQualifierAction) {
        EReadLinkObjectEndQualifierAction element = new EReadLinkObjectEndQualifierAction(
                inputReadLinkObjectEndQualifierAction);
        importModel.importXMI(element);
    }

    @objid ("189292ee-4583-11e0-b54c-00137279a832")
    public void visitReadSelfAction(ReadSelfAction inputReadSelfAction) {
        EReadSelfAction element = new EReadSelfAction(inputReadSelfAction);
        importModel.importXMI(element);
    }

    @objid ("1894f545-4583-11e0-b54c-00137279a832")
    public void visitReadStructuralFeatureAction(ReadStructuralFeatureAction inputReadStructuralFeatureAction) {
        EReadStructuralFeatureAction element = new EReadStructuralFeatureAction(
                inputReadStructuralFeatureAction);
        importModel.importXMI(element);
    }

    @objid ("1894f548-4583-11e0-b54c-00137279a832")
    public void visitReadVariableAction(ReadVariableAction inputReadVariableAction) {
        EReadVariableAction element = new EReadVariableAction(
                inputReadVariableAction);
        importModel.importXMI(element);
    }

    @objid ("1897579f-4583-11e0-b54c-00137279a832")
    public void visitRealization(Realization inputRealization) {
        ERealization element = new ERealization(inputRealization);
        importModel.importXMI(element);
    }

    @objid ("1899b9f8-4583-11e0-b54c-00137279a832")
    public void visitReceiveOperationEvent(ReceiveOperationEvent inputReceiveOperationEvent) {
        EReceiveOperationEvent element = new EReceiveOperationEvent(
                inputReceiveOperationEvent);
        importModel.importXMI(element);
    }

    @objid ("1899b9fb-4583-11e0-b54c-00137279a832")
    public void visitReceiveSignalEvent(ReceiveSignalEvent inputReceiveSignalEvent) {
        EReceiveSignalEvent element = new EReceiveSignalEvent(
                inputReceiveSignalEvent);
        importModel.importXMI(element);
    }

    @objid ("189c1c52-4583-11e0-b54c-00137279a832")
    public void visitReception(Reception inputReception) {
        EReception element = new EReception(inputReception);
        importModel.importXMI(element);
    }

    @objid ("189c1c55-4583-11e0-b54c-00137279a832")
    public void visitReclassifyObjectAction(ReclassifyObjectAction inputReclassifyObjectAction) {
        EReclassifyObjectAction element = new EReclassifyObjectAction(
                inputReclassifyObjectAction);
        importModel.importXMI(element);
    }

    @objid ("189e7eac-4583-11e0-b54c-00137279a832")
    public void visitRedefinableElement(RedefinableElement inputRedefinableElement) {
    }

    @objid ("189e7eaf-4583-11e0-b54c-00137279a832")
    public void visitRedefinableTemplateSignature(RedefinableTemplateSignature inputRedefinableTemplateSignature) {
        ERedefinableTemplateSignature element = new ERedefinableTemplateSignature(
                inputRedefinableTemplateSignature);
        importModel.importXMI(element);
    }

    @objid ("18a0e106-4583-11e0-b54c-00137279a832")
    public void visitReduceAction(ReduceAction inputReduceAction) {
        EReduceAction element = new EReduceAction(inputReduceAction);
        importModel.importXMI(element);
    }

    @objid ("18a0e109-4583-11e0-b54c-00137279a832")
    public void visitRegion(Region inputRegion) {
        ERegion element = new ERegion(inputRegion);
        importModel.importXMI(element);
    }

    @objid ("18a34360-4583-11e0-b54c-00137279a832")
    public void visitRelationship(Relationship inputRelationship) {
    }

    @objid ("18a34363-4583-11e0-b54c-00137279a832")
    public void visitRemoveStructuralFeatureValueAction(RemoveStructuralFeatureValueAction inputRemoveStructuralFeatureValueAction) {
        ERemoveStructuralFeatureValueAction element = new ERemoveStructuralFeatureValueAction(
                inputRemoveStructuralFeatureValueAction);
        importModel.importXMI(element);
    }

    @objid ("18a5a5ba-4583-11e0-b54c-00137279a832")
    public void visitRemoveVariableValueAction(RemoveVariableValueAction inputRemoveVariableValueAction) {
        ERemoveVariableValueAction element = new ERemoveVariableValueAction(
                inputRemoveVariableValueAction);
        importModel.importXMI(element);
    }

    @objid ("18a5a5bd-4583-11e0-b54c-00137279a832")
    public void visitReplyAction(ReplyAction inputReplyAction) {
        EReplyAction element = new EReplyAction(inputReplyAction);
        importModel.importXMI(element);
    }

    @objid ("18a80814-4583-11e0-b54c-00137279a832")
    public void visitSendObjectAction(SendObjectAction inputSendObjectAction) {
        ESendObjectAction element = new ESendObjectAction(inputSendObjectAction);
        importModel.importXMI(element);
    }

    @objid ("18a80817-4583-11e0-b54c-00137279a832")
    public void visitSendOperationEvent(SendOperationEvent inputSendOperationEvent) {
        ESendOperationEvent element = new ESendOperationEvent(
                inputSendOperationEvent);
        importModel.importXMI(element);
    }

    @objid ("18aa6a6e-4583-11e0-b54c-00137279a832")
    public void visitSendSignalAction(SendSignalAction inputSendSignalAction) {
        ESendSignalAction element = new ESendSignalAction(inputSendSignalAction);
        importModel.importXMI(element);
    }

    @objid ("18aa6a71-4583-11e0-b54c-00137279a832")
    public void visitSendSignalEvent(SendSignalEvent inputSendSignalEvent) {
        ESendSignalEvent element = new ESendSignalEvent(inputSendSignalEvent);
        importModel.importXMI(element);
    }

    @objid ("18acccc8-4583-11e0-b54c-00137279a832")
    public void visitSequenceNode(SequenceNode inputSequenceNode) {
        ESequenceNode element = new ESequenceNode(inputSequenceNode);
        importModel.importXMI(element);
    }

    @objid ("18af2f22-4583-11e0-b54c-00137279a832")
    public void visitSignal(Signal inputSignal) {
        ESignal element = new ESignal(inputSignal);
        importModel.importXMI(element);
    }

    @objid ("18af2f25-4583-11e0-b54c-00137279a832")
    public void visitSignalEvent(SignalEvent inputSignalEvent) {
        ESignalEvent element = new ESignalEvent(inputSignalEvent);
        importModel.importXMI(element);
    }

    @objid ("18b1917c-4583-11e0-b54c-00137279a832")
    public void visitSlot(Slot inputSlot) {
        ESlot element = new ESlot(inputSlot);
        importModel.importXMI(element);
    }

    @objid ("18b1917f-4583-11e0-b54c-00137279a832")
    public void visitStartClassifierBehaviorAction(StartClassifierBehaviorAction inputStartClassifierBehaviorAction) {
        EStartClassifierBehaviorAction element = new EStartClassifierBehaviorAction(
                inputStartClassifierBehaviorAction);
        importModel.importXMI(element);
    }

    @objid ("18b3f3d6-4583-11e0-b54c-00137279a832")
    public void visitState(State inputState) {
        EState element = new EState(inputState);
        importModel.importXMI(element);
    }

    @objid ("18b3f3d9-4583-11e0-b54c-00137279a832")
    public void visitStateInvariant(StateInvariant inputStateInvariant) {
        EStateInvariant element = new EStateInvariant(inputStateInvariant);
        importModel.importXMI(element);
    }

    @objid ("18b65632-4583-11e0-b54c-00137279a832")
    public void visitStateMachine(StateMachine inputStateMachine) {
        EStateMachine element = new EStateMachine(inputStateMachine);
        importModel.importXMI(element);
    }

    @objid ("18b8b88a-4583-11e0-b54c-00137279a832")
    public void visitStringExpression(StringExpression inputStringExpression) {
        EStringExpression element = new EStringExpression(inputStringExpression);
        importModel.importXMI(element);
    }

    @objid ("18b8b88d-4583-11e0-b54c-00137279a832")
    public void visitStructuralFeature(StructuralFeature inputStructuralFeature) {
    }

    @objid ("18bb1ae4-4583-11e0-b54c-00137279a832")
    public void visitStructuralFeatureAction(StructuralFeatureAction inputStructuralFeatureAction) {
    }

    @objid ("18bb1ae7-4583-11e0-b54c-00137279a832")
    public void visitStructuredActivityNode(StructuredActivityNode inputStructuredActivityNode) {
        EStructuredActivityNode element = new EStructuredActivityNode(
                inputStructuredActivityNode);
        importModel.importXMI(element);
    }

    @objid ("18bd7d3e-4583-11e0-b54c-00137279a832")
    public void visitStructuredClassifier(StructuredClassifier inputStructuredClassifier) {
    }

    @objid ("18bfdf98-4583-11e0-b54c-00137279a832")
    public void visitSubstitution(Substitution inputSubstitution) {
        ESubstitution element = new ESubstitution(inputSubstitution);
        importModel.importXMI(element);
    }

    @objid ("18bfdf9b-4583-11e0-b54c-00137279a832")
    public void visitTemplateableElement(TemplateableElement inputTemplateableElement) {
    }

    @objid ("18c241f2-4583-11e0-b54c-00137279a832")
    public void visitTemplateBinding(TemplateBinding inputTemplateBinding) {
        ETemplateBinding element = new ETemplateBinding(inputTemplateBinding);
        importModel.importXMI(element);
    }

    @objid ("18c241f5-4583-11e0-b54c-00137279a832")
    public void visitTemplateParameter(TemplateParameter inputTemplateParameter) {
        ETemplateParameter element = new ETemplateParameter(
                inputTemplateParameter);
        importModel.importXMI(element);
    }

    @objid ("18c4a44c-4583-11e0-b54c-00137279a832")
    public void visitTemplateParameterSubstitution(TemplateParameterSubstitution inputTemplateParameterSubstitution) {
        ETemplateParameterSubstitution element = new ETemplateParameterSubstitution(
                inputTemplateParameterSubstitution);
        importModel.importXMI(element);
    }

    @objid ("18c4a44f-4583-11e0-b54c-00137279a832")
    public void visitTemplateSignature(TemplateSignature inputTemplateSignature) {
        ETemplateSignature element = new ETemplateSignature(
                inputTemplateSignature);
        importModel.importXMI(element);
    }

    @objid ("18c96900-4583-11e0-b54c-00137279a832")
    public void visitTestIdentityAction(TestIdentityAction inputTestIdentityAction) {
        ETestIdentityAction element = new ETestIdentityAction(
                inputTestIdentityAction);
        importModel.importXMI(element);
    }

    @objid ("18cbcb5b-4583-11e0-b54c-00137279a832")
    public void visitTimeConstraint(TimeConstraint inputTimeConstraint) {
        ETimeConstraint element = new ETimeConstraint(inputTimeConstraint);
        importModel.importXMI(element);
    }

    @objid ("18ce2db4-4583-11e0-b54c-00137279a832")
    public void visitTimeEvent(TimeEvent inputTimeEvent) {
        ETimeEvent element = new ETimeEvent(inputTimeEvent);
        importModel.importXMI(element);
    }

    @objid ("18ce2db7-4583-11e0-b54c-00137279a832")
    public void visitTimeExpression(TimeExpression inputTimeExpression) {
        ETimeExpression element = new ETimeExpression(inputTimeExpression);
        importModel.importXMI(element);
    }

    @objid ("18d0900e-4583-11e0-b54c-00137279a832")
    public void visitTimeInterval(TimeInterval inputTimeInterval) {
        ETimeInterval element = new ETimeInterval(inputTimeInterval);
        importModel.importXMI(element);
    }

    @objid ("18d2f269-4583-11e0-b54c-00137279a832")
    public void visitTransition(Transition inputTransition) {
        ETransition element = new ETransition(inputTransition);
        importModel.importXMI(element);
    }

    @objid ("18d554c2-4583-11e0-b54c-00137279a832")
    public void visitTrigger(Trigger inputTrigger) {
        ETrigger element = new ETrigger(inputTrigger);
        importModel.importXMI(element);
    }

    @objid ("18d554c5-4583-11e0-b54c-00137279a832")
    public void visitType(Type inputType) {
    }

    @objid ("18d7b71c-4583-11e0-b54c-00137279a832")
    public void visitTypedElement(TypedElement inputTypedElement) {
    }

    @objid ("18d7b71f-4583-11e0-b54c-00137279a832")
    public void visitUnmarshallAction(UnmarshallAction inputUnmarshallAction) {
        EUnmarshallAction element = new EUnmarshallAction(inputUnmarshallAction);
        importModel.importXMI(element);
    }

    @objid ("18da1976-4583-11e0-b54c-00137279a832")
    public void visitUsage(Usage inputUsage) {
        EUsage element = new EUsage(inputUsage);
        importModel.importXMI(element);
    }

    @objid ("18dc7bd0-4583-11e0-b54c-00137279a832")
    public void visitUseCase(UseCase inputUseCase) {
        EUseCase element = new EUseCase(inputUseCase);
        importModel.importXMI(element);
    }

    @objid ("18dc7bd3-4583-11e0-b54c-00137279a832")
    public void visitValuePin(ValuePin inputValuePin) {
        EValuePin element = new EValuePin(inputValuePin);
        importModel.importXMI(element);
    }

    @objid ("18dede2a-4583-11e0-b54c-00137279a832")
    public void visitValueSpecification(ValueSpecification inputValueSpecification) {
    }

    @objid ("18dede2d-4583-11e0-b54c-00137279a832")
    public void visitValueSpecificationAction(ValueSpecificationAction inputValueSpecificationAction) {
        EValueSpecificationAction element = new EValueSpecificationAction(
                inputValueSpecificationAction);
        importModel.importXMI(element);
    }

    @objid ("18e14084-4583-11e0-b54c-00137279a832")
    public void visitVariable(Variable inputVariable) {
        EVariable element = new EVariable(inputVariable);
        importModel.importXMI(element);
    }

    @objid ("18e3a2de-4583-11e0-b54c-00137279a832")
    public void visitVariableAction(VariableAction inputVariableAction) {
    }

    @objid ("18e60538-4583-11e0-b54c-00137279a832")
    public void visitVertex(Vertex inputVertex) {
    }

    @objid ("18e6053b-4583-11e0-b54c-00137279a832")
    public void visitWriteLinkAction(WriteLinkAction inputWriteLinkAction) {
    }

    @objid ("18e86792-4583-11e0-b54c-00137279a832")
    public void visitWriteStructuralFeatureAction(WriteStructuralFeatureAction inputWriteStructuralFeatureAction) {
    }

    @objid ("18e86795-4583-11e0-b54c-00137279a832")
    public void visitWriteVariableAction(WriteVariableAction inputWriteVariableAction) {
    }

    @objid ("18eac9ec-4583-11e0-b54c-00137279a832")
    public void doSwitch(EObject inputElement) {
    }

    @objid ("18ed2c46-4583-11e0-b54c-00137279a832")
    public ImportModel getTheImportModel() {
        return importModel;
    }

    @objid ("18ed2c4a-4583-11e0-b54c-00137279a832")
    public ImportModel getImportModel() {
        return this.importModel;
    }

    @objid ("18ef8ea1-4583-11e0-b54c-00137279a832")
    public ProgressBarComposite getTheProgressBar() {
        return this.theProgressBar;
    }

    @objid ("71bcf8ce-1a76-11e1-8103-0027103f347d")
    public void visitIservation(final Observation inputObservation) {
    }

    @objid ("71bd46f2-1a76-11e1-8103-0027103f347d")
    public void visitTimeIservation(final TimeObservation inputTimeIservation) {
        ETimeObservation element = new ETimeObservation(inputTimeIservation);
        importModel.importXMI(element);
    }

}
