/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package org.modelio.modelfragment.command.ihm;

import java.util.List;
import com.modeliosoft.modelio.javadesigner.annotations.objid;
import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.Viewer;

@objid ("be401dff-fe92-11dd-8b31-0014222a9f79")
public class EditDependenciesContentProvider implements IStructuredContentProvider {

    @objid ("be428054-fe92-11dd-8b31-0014222a9f79")
    @SuppressWarnings("unchecked")
    @Override
    public Object[] getElements(Object inputElement) {
        List<EditFragmentAdapter> elements = (List<EditFragmentAdapter>) inputElement;
        return elements.toArray(new EditFragmentAdapter[elements.size()]);
    }

    @objid ("be47454b-fe92-11dd-8b31-0014222a9f79")
    @Override
    public void dispose() {
    }

    @objid ("be49a782-fe92-11dd-8b31-0014222a9f79")
    @Override
    public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
    }

}
