/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package org.modelio.modelfragment.command.ihm;

import java.io.File;
import java.util.Set;
import com.modeliosoft.modelio.javadesigner.annotations.objid;
import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.Viewer;

@objid ("76368d78-ff6e-11dd-95ab-0014222a9f79")
public class EditFilesContentProvider implements IStructuredContentProvider {

    @objid ("76368d7b-ff6e-11dd-95ab-0014222a9f79")
    @SuppressWarnings("unchecked")
    @Override
    public Object[] getElements(Object inputElement) {
        Set<File> files = (Set<File>) inputElement;
        return files.toArray(new File[files.size()]);
    }

    @objid ("76368d7e-ff6e-11dd-95ab-0014222a9f79")
    @Override
    public void dispose() {
    }

    @objid ("76368d80-ff6e-11dd-95ab-0014222a9f79")
    @Override
    public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
    }

}
