/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package org.modelio.modelfragment.command.ihm;

import com.modeliosoft.modelio.api.mc.IModelComponentContributor;
import com.modeliosoft.modelio.javadesigner.annotations.objid;

@objid ("be401e03-fe92-11dd-8b31-0014222a9f79")
public class EditFragmentContributorAdapter {
    @objid ("be47456b-fe92-11dd-8b31-0014222a9f79")
    private boolean isSelected = true;

    @objid ("be44e2fb-fe92-11dd-8b31-0014222a9f79")
    private IModelComponentContributor contributor;


    @objid ("be47454c-fe92-11dd-8b31-0014222a9f79")
    public boolean isSelected() {
        return this.isSelected;
    }

    @objid ("be47457d-fe92-11dd-8b31-0014222a9f79")
    public void setSelected(boolean isSelected) {
        this.isSelected = isSelected;
    }

    @objid ("be49a786-fe92-11dd-8b31-0014222a9f79")
    public IModelComponentContributor getContributor() {
        return this.contributor;
    }

    @objid ("be49a787-fe92-11dd-8b31-0014222a9f79")
    public EditFragmentContributorAdapter(IModelComponentContributor contributor) {
        this.contributor = contributor;
    }

}
