/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package org.modelio.modelfragment.command.ihm;

import com.modeliosoft.modelio.api.model.uml.infrastructure.IElement;
import com.modeliosoft.modelio.javadesigner.annotations.objid;

@objid ("6654a0de-ff46-11dd-95ab-0014222a9f79")
public class EditManifestedAdapter {
    @objid ("6654a0e4-ff46-11dd-95ab-0014222a9f79")
    private IElement element = null;


    @objid ("6654a0e1-ff46-11dd-95ab-0014222a9f79")
    public EditManifestedAdapter(IElement element) {
        this.element = element;
    }

    @objid ("6654a0e9-ff46-11dd-95ab-0014222a9f79")
    public IElement getElement() {
        return this.element;
    }

    @objid ("6654a0f7-ff46-11dd-95ab-0014222a9f79")
    @Override
    public boolean equals(Object obj) {
        if (obj instanceof EditManifestedAdapter) {
            return this.element.equals(((EditManifestedAdapter) obj).getElement());
        }
        return false;
    }

}
