package org.modelio.modelfragment.model;

import java.util.ArrayList;
import java.util.List;

import org.modelio.modelfragment.api.IModelFragmentStereotypes;

import com.modeliosoft.modelio.api.model.uml.statik.IComponent;
import com.modeliosoft.modelio.api.model.uml.statik.IPackage;
import com.modeliosoft.modelio.api.modelio.Modelio;

public class ModelUtils {

	public static List<DeployedFragment> getDeployedFragment(){

		List<DeployedFragment> fragments  = new ArrayList<DeployedFragment>();

		IPackage root  = Modelio.getInstance().getModelingSession().getModel().getRoot();

		for(IComponent comp : root.getOwnedElement(IComponent.class)){
			if (comp.isStereotyped(IModelFragmentStereotypes.MODELFRAGMENTDEPLOYED))
				fragments.add(new DeployedFragment(comp));
		}

		return fragments;


	}

}
