/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package org.modelio.modelfragment.utils;

import com.modeliosoft.modelio.api.model.uml.infrastructure.IModelElement;
import com.modeliosoft.modelio.api.utils.DefaultMetamodelVisitor;
import com.modeliosoft.modelio.core.app.O;
import com.modeliosoft.modelio.core.jni.IAccessManager;

public class ReadWriteMetamodelVisitor extends DefaultMetamodelVisitor {
   
	private static IAccessManager manager = O.getDefault().getModelingSession().getAccessManager();

    public ReadWriteMetamodelVisitor() {
    }

   
    @Override
    public Object visitModelElement(final IModelElement param) {
		manager.setRamcObject(param, false);
		manager.setUserReadRight(param, true);
		manager.setUserWriteRight(param, true);
        return super.visitModelElement(param);
    }

}
