/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package com.modeliosoft.modelio.xmi.gui.report;

import com.modeliosoft.modelio.api.model.uml.infrastructure.IElement;
import com.modeliosoft.modelio.javadesigner.annotations.objid;

@objid ("06755522-4583-11e0-b54c-00137279a832")
public interface IReportWriter {

    @objid ("06755523-4583-11e0-b54c-00137279a832")
    void addWarning(String message, IElement element, String description);

    @objid ("06755527-4583-11e0-b54c-00137279a832")
    void addError(String message, IElement element, String description);

    @objid ("0675552b-4583-11e0-b54c-00137279a832")
    void addInfo(String message, IElement element, String description);

    @objid ("0675552f-4583-11e0-b54c-00137279a832")
    boolean isEmpty();

    @objid ("06755531-4583-11e0-b54c-00137279a832")
    boolean hasErrors();

    @objid ("06755533-4583-11e0-b54c-00137279a832")
    boolean hasWarnings();

    @objid ("0677b77b-4583-11e0-b54c-00137279a832")
    boolean hasInfos();

}
