/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package com.modeliosoft.modelio.xmi.model.ecore;

import java.util.List;
import com.modeliosoft.modelio.api.model.uml.infrastructure.IElement;
import com.modeliosoft.modelio.api.modelio.Modelio;
import com.modeliosoft.modelio.javadesigner.annotations.objid;
import org.eclipse.uml2.uml.Component;

@objid ("080d073e-4583-11e0-b54c-00137279a832")
public class EComponent extends EClass implements IEElement {

    @objid ("080d0740-4583-11e0-b54c-00137279a832")
    public IElement createObjingElt() {
        return Modelio.getInstance()
                .getModelingSession().getModel().createComponent();
    }

    @objid ("080d0744-4583-11e0-b54c-00137279a832")
    public EComponent(Component element) {
        super(element);
    }

    @objid ("080f699e-4583-11e0-b54c-00137279a832")
    public void attach(IElement objingElt) {
        super.attach(objingElt);
    }

    @objid ("080f69a1-4583-11e0-b54c-00137279a832")
    public void attach(List<Object> objingElt) {
    }

    @objid ("0811cbf2-4583-11e0-b54c-00137279a832")
    public void setProperties(IElement objingElt) {
        super.setProperties(objingElt);
        //setName((IComponent) objingElt);
        // setProvideds((IComponent)objingElt);
        // setRequireds((IComponent)objingElt);
        // setRealizations((IComponent)objingElt);
        // setPackagedElements((IComponent)objingElt);
    }

    @objid ("0811cbf8-4583-11e0-b54c-00137279a832")
    public EComponent() {
    }

}
