/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package com.modeliosoft.modelio.xmi.model.ecore;

import java.util.List;
import com.modeliosoft.modelio.api.model.uml.infrastructure.IElement;
import com.modeliosoft.modelio.javadesigner.annotations.objid;
import com.modeliosoft.modelio.xmi.util.ProfileUtils;
import org.eclipse.uml2.uml.Stereotype;

@objid ("0c3b8718-4583-11e0-b54c-00137279a832")
public class EStereotype extends EElement implements IEElement {

    @objid ("0c3b871a-4583-11e0-b54c-00137279a832")
    public IElement createObjingElt() {
        return  null;
    }

    @objid ("0c3b8722-4583-11e0-b54c-00137279a832")
    public EStereotype(Stereotype element) {
        super(element);
        ProfileUtils.visitStereotype((Stereotype)getEcoreElement());
    }

    @objid ("0c3de976-4583-11e0-b54c-00137279a832")
    public void attach(IElement objingElt) {
    }

    @objid ("0c3de979-4583-11e0-b54c-00137279a832")
    public void attach(List<Object> objingElt) {
    }

    @objid ("0c3de97e-4583-11e0-b54c-00137279a832")
    public void setProperties(IElement objingElt) {
    }

    @objid ("0c404bce-4583-11e0-b54c-00137279a832")
    public EStereotype() {
    }

}
