/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package com.modeliosoft.modelio.xmi.model.ecore;

import java.util.ArrayList;
import java.util.List;
import com.modeliosoft.modelio.api.model.uml.infrastructure.IElement;
import com.modeliosoft.modelio.api.model.uml.infrastructure.IModelElement;
import com.modeliosoft.modelio.javadesigner.annotations.objid;
import org.eclipse.uml2.uml.Usage;

@objid ("0cbc4614-4583-11e0-b54c-00137279a832")
public class EUsage extends ENamedElement implements IEElement {

    @objid ("0cbc4615-4583-11e0-b54c-00137279a832")
    public List<IModelElement> createObjingElt() {
        return new ArrayList<IModelElement>();
    }

    @objid ("0cbc461b-4583-11e0-b54c-00137279a832")
    public EUsage(Usage element) {
        super(element);
    }

    @objid ("0cbea874-4583-11e0-b54c-00137279a832")
    public void attach(IElement objingElt) {
    }

    @objid ("0cbea877-4583-11e0-b54c-00137279a832")
    public void attach(List<Object> objingElt) {
        // Done on Dependency when calling the super() in the visitor.
    }

    @objid ("0cbea87c-4583-11e0-b54c-00137279a832")
    public void setProperties(IElement objingElt) {
        super.setProperties(objingElt);
    }

    @objid ("0cc10ac8-4583-11e0-b54c-00137279a832")
    public EUsage() {
    }

}
