/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package com.modeliosoft.modelio.xmi.model.ecore;

import java.util.List;
import com.modeliosoft.modelio.api.model.uml.infrastructure.IElement;
import com.modeliosoft.modelio.javadesigner.annotations.objid;
import org.eclipse.uml2.uml.Element;

@objid ("0cdb44ae-4583-11e0-b54c-00137279a832")
public interface IEElement {

    @objid ("0cdb44af-4583-11e0-b54c-00137279a832")
    Object createObjingElt();

    @objid ("0cdb44b5-4583-11e0-b54c-00137279a832")
    Element getEcoreElement();

    @objid ("0cdda700-4583-11e0-b54c-00137279a832")
    void attach(IElement objingElt);

    @objid ("0cdda702-4583-11e0-b54c-00137279a832")
    void setProperties(IElement objingElt);

    @objid ("0cdda704-4583-11e0-b54c-00137279a832")
    void setStereotypes();

    @objid ("0cdda706-4583-11e0-b54c-00137279a832")
    void attach(List<Object> objingElts);

}
