/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package com.modeliosoft.modelio.xmi.model.objing;

import com.modeliosoft.modelio.api.model.uml.infrastructure.IElement;
import com.modeliosoft.modelio.javadesigner.annotations.objid;
import com.modeliosoft.modelio.xmi.util.CompositionOwnerVisitor;
import org.eclipse.uml2.uml.Element;

@objid ("0d6a51be-4583-11e0-b54c-00137279a832")
public interface IOElement {

    @objid ("0d6a51bf-4583-11e0-b54c-00137279a832")
    String getObjingID();

    @objid ("0d6a51c1-4583-11e0-b54c-00137279a832")
    Element createEcoreElt();

    @objid ("0d6a51c3-4583-11e0-b54c-00137279a832")
    IElement getObjingElement();

    @objid ("0d6a51c5-4583-11e0-b54c-00137279a832")
    void attach(Element ecoreElt, CompositionOwnerVisitor ownerVisitor);

    @objid ("0d6a51c8-4583-11e0-b54c-00137279a832")
    void setProperties(Element ecoreElt);

}
