/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package com.modeliosoft.modelio.xmi.plugin;

import com.modeliosoft.modelio.javadesigner.annotations.objid;

@objid ("11cd4554-4583-11e0-b54c-00137279a832")
public interface XMITagTypes {
    @objid ("11cd4555-4583-11e0-b54c-00137279a832")
    public static final String MODELELEMENT_XMIIMPORTED = "XMIImported";
    
    public static final String MODELELEMENT_ECOREID = "EcoreId";

    @objid ("6c01168a-1a76-11e1-8103-0027103f347d")
    public static final String ASSOCIATIONEND_XMIISOWNEDBYCLASSIFIER = "isOwnedByClassifier";

    @objid ("6c0164ae-1a76-11e1-8103-0027103f347d")
    public static final String MODELELEMENT_NOTEXPORTED = "NotExported";

    @objid ("6c018bc0-1a76-11e1-8103-0027103f347d")
    public static final String UML2ENDDESTRUCTIONDATAREFERENCE_ISDESTROYDUPLICATES = "IsDestroyDuplicates";

    @objid ("6c01b2d3-1a76-11e1-8103-0027103f347d")
    public static final String UML2EXPANSIONREGION_MODE = "Mode";

    @objid ("6c01d9e5-1a76-11e1-8103-0027103f347d")
    public static final String UML2GENERALIZATIONSET_ID = "Id";

    @objid ("6c022808-1a76-11e1-8103-0027103f347d")
    public static final String UML2VALUESPECIFICATIONACTION_VALUE = "Value";

    @objid ("6c031274-1a76-11e1-8103-0027103f347d")
    public static final String UML2STEREOTYPEPROPERTY_PROPERTY = "Property";

    @objid ("6c036098-1a76-11e1-8103-0027103f347d")
    public static final String UML2PROPERTYTYPE_TYPE = "Type";


}
