/*
 * Copyright 2011 Modeliosoft
 *
 * This file is part of Modelio.
 *
 * Modelio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Modelio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Modelio.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */  
                                    
package com.modeliosoft.modelio.xmi.util;

import com.modeliosoft.modelio.javadesigner.annotations.objid;

@objid ("1b8d8370-4583-11e0-b54c-00137279a832")
public interface ModelerModuleStereotypes {
    @objid ("1b8d8371-4583-11e0-b54c-00137279a832")
    public static final String ACCESS = "access";

    @objid ("1b8d8373-4583-11e0-b54c-00137279a832")
    public static final String ANTONYM = "antonym";

    @objid ("1b8fe5c4-4583-11e0-b54c-00137279a832")
    public static final String ASSIGNED = "assigned";

    @objid ("1b8fe5c6-4583-11e0-b54c-00137279a832")
    public static final String BUSINESS_RULE = "business_rule";

    @objid ("1b8fe5c8-4583-11e0-b54c-00137279a832")
    public static final String BUSINESS_RULE_CONTAINER = "business_rule_container";

    @objid ("1b8fe5ca-4583-11e0-b54c-00137279a832")
    public static final String BUSINESS_RULE_DIAGRAM = "business_rule_diagram";

    @objid ("1b8fe5cc-4583-11e0-b54c-00137279a832")
    public static final String BUSINESS_RULE_PROPERTYSET = "business_rule_propertyset";

    @objid ("1b8fe5ce-4583-11e0-b54c-00137279a832")
    public static final String CATCH = "catch";

    @objid ("1b8fe5d0-4583-11e0-b54c-00137279a832")
    public static final String CLASS = "class";

    @objid ("1b92481e-4583-11e0-b54c-00137279a832")
    public static final String COLLABORATION = "collaboration";

    @objid ("1b924820-4583-11e0-b54c-00137279a832")
    public static final String COMMUNICATION = "communication";

    @objid ("1b924822-4583-11e0-b54c-00137279a832")
    public static final String COMPLETE = "complete";

    @objid ("1b924824-4583-11e0-b54c-00137279a832")
    public static final String CONTEXT = "context";

    @objid ("1b924826-4583-11e0-b54c-00137279a832")
    public static final String CREATE = "create";

    @objid ("1b924828-4583-11e0-b54c-00137279a832")
    public static final String DEPLOYMENT = "deployment";

    @objid ("1b94aa79-4583-11e0-b54c-00137279a832")
    public static final String DERIVE = "derive";

    @objid ("1b94aa7b-4583-11e0-b54c-00137279a832")
    public static final String DESIGN_PATTERN = "design pattern";

    @objid ("1b94aa7d-4583-11e0-b54c-00137279a832")
    public static final String DESTROY = "destroy";

    @objid ("1b94aa7f-4583-11e0-b54c-00137279a832")
    public static final String DESTROYED = "destroyed";

    @objid ("1b94aa81-4583-11e0-b54c-00137279a832")
    public static final String DICTIONARY = "dictionary";

    @objid ("1b970cd2-4583-11e0-b54c-00137279a832")
    public static final String DICTIONARY_DIAGRAM = "dictionary_diagram";

    @objid ("1b970cd4-4583-11e0-b54c-00137279a832")
    public static final String DICTIONARY_PROPERTYSET = "dictionary_propertyset";

    @objid ("1b970cd6-4583-11e0-b54c-00137279a832")
    public static final String DISJOIN = "disjoin";

    @objid ("1b970cd8-4583-11e0-b54c-00137279a832")
    public static final String EXCEPTION = "exception";

    @objid ("1b970cda-4583-11e0-b54c-00137279a832")
    public static final String EXECUTABLE = "executable";

    @objid ("1b996f2c-4583-11e0-b54c-00137279a832")
    public static final String EXTEND = "extend";

    @objid ("1b996f2e-4583-11e0-b54c-00137279a832")
    public static final String EXTERNALDOCUMENT = "ExternalDocument";

    @objid ("1b996f30-4583-11e0-b54c-00137279a832")
    public static final String FACADE = "facade";

    @objid ("1b996f32-4583-11e0-b54c-00137279a832")
    public static final String FLOW = "flow";

    @objid ("1b996f34-4583-11e0-b54c-00137279a832")
    public static final String FRAMEWORK = "frameWork";

    @objid ("1b9bd186-4583-11e0-b54c-00137279a832")
    public static final String FRIEND = "friend";

    @objid ("1b9bd188-4583-11e0-b54c-00137279a832")
    public static final String GOAL = "goal";

    @objid ("1b9bd18a-4583-11e0-b54c-00137279a832")
    public static final String GOAL_CONTAINER = "goal_container";

    @objid ("1b9bd18c-4583-11e0-b54c-00137279a832")
    public static final String GOAL_DIAGRAM = "goal_diagram";

    @objid ("1b9bd18e-4583-11e0-b54c-00137279a832")
    public static final String GOAL_PROPERTYSET = "goal_propertyset";

    @objid ("1b9e33e0-4583-11e0-b54c-00137279a832")
    public static final String GUARANTEE = "guarantee";

    @objid ("1b9e33e2-4583-11e0-b54c-00137279a832")
    public static final String HOMONYM = "homonym";

    @objid ("1b9e33e4-4583-11e0-b54c-00137279a832")
    public static final String IMPACT = "impact";

    @objid ("1b9e33e6-4583-11e0-b54c-00137279a832")
    public static final String IMPACT_ROOT = "impact_root";

    @objid ("1b9e33e8-4583-11e0-b54c-00137279a832")
    public static final String IMPACT_SUBROOT = "impact_subroot";

    @objid ("1ba0963a-4583-11e0-b54c-00137279a832")
    public static final String IMPLEMENT = "implement";

    @objid ("1ba0963c-4583-11e0-b54c-00137279a832")
    public static final String IMPLEMENTATION = "implementation";

    @objid ("1ba0963e-4583-11e0-b54c-00137279a832")
    public static final String IMPLEMENTATIONCLASS = "implementationClass";

    @objid ("1ba09640-4583-11e0-b54c-00137279a832")
    public static final String IMPLICIT = "implicit";

    @objid ("1ba2f894-4583-11e0-b54c-00137279a832")
    public static final String IMPORT = "import";

    @objid ("1ba2f896-4583-11e0-b54c-00137279a832")
    public static final String INCLUDE = "include";

    @objid ("1ba2f898-4583-11e0-b54c-00137279a832")
    public static final String INCOMPLETE = "incomplete";

    @objid ("1ba2f89a-4583-11e0-b54c-00137279a832")
    public static final String INSTANTIATE = "instantiate";

    @objid ("1ba55aee-4583-11e0-b54c-00137279a832")
    public static final String INVARIANT = "invariant";

    @objid ("1ba55af0-4583-11e0-b54c-00137279a832")
    public static final String KIND_OF = "kind-of";

    @objid ("1ba55af2-4583-11e0-b54c-00137279a832")
    public static final String LIBRARY = "library";

    @objid ("1ba55af4-4583-11e0-b54c-00137279a832")
    public static final String MEASURE = "measure";

    @objid ("1ba7bd48-4583-11e0-b54c-00137279a832")
    public static final String METACLASS = "metaclass";

    @objid ("1ba7bd4a-4583-11e0-b54c-00137279a832")
    public static final String METAMODEL = "metamodel";

    @objid ("1ba7bd4c-4583-11e0-b54c-00137279a832")
    public static final String MODELCOMPONENT = "ModelComponent";

    @objid ("1ba7bd4e-4583-11e0-b54c-00137279a832")
    public static final String MODELCOMPONENTARCHIVE = "ModelComponentArchive";

    @objid ("1ba7bd50-4583-11e0-b54c-00137279a832")
    public static final String NEW = "new";

    @objid ("1baa1fa3-4583-11e0-b54c-00137279a832")
    public static final String OBJECT = "object";

    @objid ("1baa1fa5-4583-11e0-b54c-00137279a832")
    public static final String ORDERED = "ordered";

    @objid ("1baa1fa7-4583-11e0-b54c-00137279a832")
    public static final String OVERLAPPING = "overlapping";

    @objid ("1baa1fa9-4583-11e0-b54c-00137279a832")
    public static final String PART = "part";

    @objid ("1bac81fc-4583-11e0-b54c-00137279a832")
    public static final String POSTCONDITION = "postcondition";

    @objid ("1bac81fe-4583-11e0-b54c-00137279a832")
    public static final String PRECONDITION = "precondition";

    @objid ("1bac8200-4583-11e0-b54c-00137279a832")
    public static final String PRIMARY = "primary";

    @objid ("1baee456-4583-11e0-b54c-00137279a832")
    public static final String PROCESS = "process";

    @objid ("1baee458-4583-11e0-b54c-00137279a832")
    public static final String REFERS = "refers";

    @objid ("1baee45a-4583-11e0-b54c-00137279a832")
    public static final String REFINE = "refine";

    @objid ("1baee45c-4583-11e0-b54c-00137279a832")
    public static final String RELATED = "related";

    @objid ("1bb146b0-4583-11e0-b54c-00137279a832")
    public static final String RELATED_DIAGRAM = "related_diagram";

    @objid ("1bb146b2-4583-11e0-b54c-00137279a832")
    public static final String REQUIREMENT = "requirement";

    @objid ("1bb146b4-4583-11e0-b54c-00137279a832")
    public static final String REQUIREMENT_CONTAINER = "requirement_container";

    @objid ("1bb146b6-4583-11e0-b54c-00137279a832")
    public static final String REQUIREMENT_DIAGRAM = "requirement_diagram";

    @objid ("1bb3a90a-4583-11e0-b54c-00137279a832")
    public static final String REQUIREMENT_PROPERTYSET = "requirement_propertyset";

    @objid ("1bb3a90c-4583-11e0-b54c-00137279a832")
    public static final String SATISFY = "satisfy";

    @objid ("1bb3a90e-4583-11e0-b54c-00137279a832")
    public static final String SCENARIO = "scenario";

    @objid ("1bb60b64-4583-11e0-b54c-00137279a832")
    public static final String SECONDARY = "secondary";

    @objid ("1bb60b66-4583-11e0-b54c-00137279a832")
    public static final String STATE = "state";

    @objid ("1bb60b68-4583-11e0-b54c-00137279a832")
    public static final String STUB = "stub";

    @objid ("1bb86dbe-4583-11e0-b54c-00137279a832")
    public static final String SUBSET = "subset";

    @objid ("1bb86dc0-4583-11e0-b54c-00137279a832")
    public static final String SUBSYSTEM = "subsystem";

    @objid ("1bb86dc2-4583-11e0-b54c-00137279a832")
    public static final String SYNONYM = "synonym";

    @objid ("1bb86dc4-4583-11e0-b54c-00137279a832")
    public static final String SYSTEM = "system";

    @objid ("1bbad018-4583-11e0-b54c-00137279a832")
    public static final String TERM = "term";

    @objid ("1bbad01a-4583-11e0-b54c-00137279a832")
    public static final String THROW = "throw";

    @objid ("1bbad01c-4583-11e0-b54c-00137279a832")
    public static final String TOPLEVEL = "topLevel";

    @objid ("1bbd3272-4583-11e0-b54c-00137279a832")
    public static final String TRACE = "trace";

    @objid ("1bbd3274-4583-11e0-b54c-00137279a832")
    public static final String TRANSIENT = "transient";

    @objid ("1bbd3276-4583-11e0-b54c-00137279a832")
    public static final String TYPE = "type";

    @objid ("1bbf94cc-4583-11e0-b54c-00137279a832")
    public static final String USECASE = "usecase";

    @objid ("1bbf94ce-4583-11e0-b54c-00137279a832")
    public static final String UTILITY = "utility";

    @objid ("1bbf94d0-4583-11e0-b54c-00137279a832")
    public static final String VERIFY = "verify";

    @objid ("1bbf94d2-4583-11e0-b54c-00137279a832")
    public static final String XOR = "xor";

    @objid ("1bc1f726-4583-11e0-b54c-00137279a832")
    public static final String _INFLUENCE = "+influence";

    @objid ("1bc1f728-4583-11e0-b54c-00137279a832")
    public static final String plusINFLUENCE = "+influence";

    @objid ("1bc1f72a-4583-11e0-b54c-00137279a832")
    public static final String DESIGNPATTERN = "design pattern";

    @objid ("1bc45980-4583-11e0-b54c-00137279a832")
    public static final String moinsINFLUENCE = "-influence";

    @objid ("1bc45982-4583-11e0-b54c-00137279a832")
    public static final String KINDmoinsOF = "kind-of";


}
